Globalization in Angular Grid Component

The Angular Data Grid component provides a Globalization feature (global and local) that enhances application accessibility for people from different regions and language backgrounds. Data can be displayed in preferred languages and formats, improving the overall user experience.

Localization

The Angular Data Grid includes a built-in Localization library that allows customization of text used in the grid to match different languages or cultural preferences. The library enables changing static text on various elements such as the group drop area and pager information to languages like “Arabic”, “German”, “French”, and more.

Define the locale property and a translation object to configure localized text.

Data Rendering

Locale key words Text Example
EmptyRecord No records to display Locale empty record
EmptyDataSourceError DataSource must not be empty at initial load since columns are generated from dataSource in auto-generated columns  

Columns

Locale key words Text Example
True true Grid with True value
False false Grid with False value
ColumnHeader column header Grid column header
TemplateCell is template cell Grid template cell
ClipBoard clipboard Grid clipboard
CheckBoxLabel checkbox Grid checkbox label

ColumnChooser

Locale key words Text Example
Columnchooser Columns Locale column chooser
ChooseColumns Choose Column Locale choose columns
ColumnChooserDialogARIA Column chooser Locale column chooser dialog ARIA

Editing

Locale key words Text Example
Add Add Locale add
Edit Edit Locale edit
Cancel Cancel Locale cancel
Update Update Locale update
Delete Delete Locale delete
Save Save Locale save
EditOperationAlert No records selected for edit operation Locale edit operation alert
DeleteOperationAlert No records selected for delete operation Locale delete operation alert
SaveButton Save Locale save button
OKButton OK Locale ok button
CancelButton Cancel Locale cancel button
EditFormTitle Details of Locale edit form title
AddFormTitle Add New Record Locale add form title
BatchSaveConfirm Are you sure you want to save changes? Locale batch save confirm
BatchSaveLostChanges Unsaved changes will be lost. Are you sure you want to continue? Locale batch save lost changes
ConfirmDelete Are you sure you want to Delete Record? Locale confirm delete
CancelEdit Are you sure you want to Cancel the changes? Locale cancel edit
DialogEditARIA Edit dialog  
CommandColumnAria Command column header Grid command column header
DialogEdit Dialog edit Locale dialog edit

Grouping

Locale key words Text Example
GroupDropArea Drag a column header here to group its column Locale group drop area
UnGroup Click here to ungroup Locale un group
GroupDisable Grouping is disabled for this column Locale group disable
Item item Locale Item
Items items Locale Items
UnGroupButton Click here to ungroup  
GroupDescription Press Ctrl space to group Locale group description
GroupButton Group button Locale group button
UnGroupAria ungroup button Locale ungroup aria
GroupSeperator Separator for the grouped columns Locale group seperator
UnGroupIcon ungroup the grouped column Locale ungroup icon
GroupedSortIcon sort the grouped column Locale grouped sort icon
GroupedDrag Drag the grouped column Locale grouped drag
GroupCaption is groupcaption cell Locale group caption
Expanded Expanded Locale expanded
Collapsed Collapsed Locale collapsed

Filtering

Locale key words Text Example
InvalidFilterMessage Invalid Filter Data  
FilterbarTitle Filter bar cell Locale filterbar title
Matchs No Matches Found Locale matchs
FilterButton Filter Locale filter button
ClearButton Clear Locale clear button
StartsWith Starts With Locale starts with
EndsWith Ends With Locale ends with
Contains Contains Locale contains
Equal Equal Locale equal
NotEqual Not Equal Locale not equal
LessThan Less Than Locale less than
LessThanOrEqual Less Than Or Equal Locale less than or equal
GreaterThan Greater Than Locale greater than
GreaterThanOrEqual Greater Than Or Equal Locale greater than or equal
ChooseDate Choose a Date Locale choose date
EnterValue Enter the value Locale enter value
SelectAll Select All Locale select all
Blanks Blanks Locale blanks
FilterTrue True Locale filter true
FilterFalse False Locale filter false
NoResult No Matches Found Locale no result
ClearFilter Clear Filter Locale clear filter
NumberFilter Number Filters Locale number filter
TextFilter Text Filters Locale text filter
DateFilter Date Filters Locale date filter
DateTimeFilter DateTime Filters Locale date time filter
MatchCase Match Case Locale match case
Between Between Locale between
CustomFilter Custom Filter Locale custom filter
CustomFilterPlaceHolder Enter the value Locale custom filter placeholder
CustomFilterDatePlaceHolder Choose a date Locale custom filter date placeholder
AND AND Locale AND
OR OR Locale OR
ShowRowsWhere Show rows where: Locale show rows where
NotStartsWith Does Not Start With Locale not starts with
Like Like Locale like
NotEndsWith Does Not End With Locale not ends with
NotContains Does Not Contain Locale not contains
IsNull Null Locale is null
NotNull Not Null Locale not null
IsEmpty Empty Locale is empty
IsNotEmpty Not Empty Locale is not empty
AddCurrentSelection Add current selection to filter Locale add current selection
FilterMenuDialogARIA Filter menu dialog Locale filter menu dialog ARIA
ExcelFilterDialogARIA Excel filter dialog Locale excel menu dialog ARIA
CustomFilterDialogARIA Custom filter dialog Locale Custom filter dialog ARIA
SortAtoZ Sort A to Z Locale sort AtoZ
SortZtoA Sort Z to A Locale sort ZtoA
SortByOldest Sort by Oldest Locale sort by oldest
SortByNewest Sort by Newest Locale sort by newest
SortSmallestToLargest Sort Smallest to Largest Locale sort smallest to largest
SortLargestToSmallest Sort Largest to Smallest Locale sort largest to smallest
FilterDescription Press Alt Down to open filter Menu Locale filter description

Searching

Locale key words Text Example
Search Search Locale search
SearchColumns search columns  
Clear Clear Locale clear

Sorting

Locale key words Text Example
Sort Sort Locale sort
SortDescription Press Enter to sort Locale sort description

Toolbar

Locale key words Text Example
Print Print Locale print
Pdfexport PDF Export Locale pdfexport
Excelexport Excel Export Locale excelexport
Csvexport CSV Export Locale csvexport

ColumnMenu

Locale key words Text Example
FilterMenu Filter Locale filter menu
AutoFitAll Autofit all columns  
AutoFit Autofit this column  
ColumnMenuDialogARIA Column menu dialog Locale columnmenu dialog ARIA
ColumnMenuDescription Press Alt Down to open Column Menu Locale columnmenu description

ContextMenu

Locale key words Text Example
Copy Copy Locale copy
Group Group by this column Locale group
Ungroup Ungroup by this column Locale ungroup
autoFitAll Auto Fit all columns Locale autofit all
autoFit Auto Fit this column Locale autofit
Export Export Locale export
FirstPage First Page Locale first page
LastPage Last Page Locale last page
PreviousPage Previous Page Locale previous page
NextPage Next Page Locale next page
SortAscending Sort Ascending Locale sort ascending
SortDescending Sort Descending Locale sort descending
EditRecord Edit Record Locale edit record
DeleteRecord Delete Record Locale delete record

Pager

Locale key words Text Example
currentPageInfo {0} of {1} pages Locale current page info
totalItemsInfo ({0} items) Locale total items info
firstPageTooltip Go to first page Locale first page tooltip
lastPageTooltip Go to last page Locale last page tooltip
nextPageTooltip Go to next page Locale next page tooltip
previousPageTooltip Go to previous page Locale previous page tooltip
nextPagerTooltip Go to next pager items Locale next pager tooltip
previousPagerTooltip Go to previous pager items Locale previous pager tooltip
pagerDropDown Items per page Locale pager drop down
pagerAllDropDown Items Locale pager all drop down
All All Locale pager all
totalItemInfo ({0} item) Locale total item info
Container Pager Container Locale pager container
Information Pager Information  
ExternalMsg Pager external message Locale pager external msg
Page Page  
Of of Locale pager of
Pages Pages  

Loading translations for de culture

The built-in localization library supports loading translation objects for different cultures. Using the L10n.load function customizes the Grid’s text content for different languages.

This enables specifying translation objects for specific cultures, such as “German (de)”, allowing the Grid’s content to be displayed in the selected language.

TypeScript settings for loading CLDR JSON files

Follow the steps below to enable proper loading of CLDR JSON files(used for internationalization) in TypeScript:

  1. Open tsconfig.json file.
  2. Inside compilerOptions set both resolveJsonModule and esModuleInterop to true.
{
  compilerOptions: {
    resolveJsonModule: true,
    esModuleInterop: true,
  }
}

The following example demonstrates loading a translation object for “German (de)” by using L10n.load from the ej2-base module and setting the locale to “de-DE”.

import { data } from './datasource';
import { deDELocalization } from './locale.json';
import { Component, OnInit } from '@angular/core'
import { GridModule, GroupService, PageService, PageSettingsModel } from '@syncfusion/ej2-angular-grids';
import { L10n } from '@syncfusion/ej2-base';

L10n.load(deDELocalization);

@Component({
    imports: [ GridModule],
    providers: [GroupService, PageService],
    standalone: true,
    selector: 'app-root',
    template: `<ejs-grid [dataSource]='data' [locale]='locale' [allowGrouping]='true' [allowPaging]='true'
             [pageSettings]='pageOptions' height='220px'>
                <e-columns>
                    <e-column field='OrderID' headerText='Order ID' textAlign='Right' width=90></e-column>
                    <e-column field='CustomerID' headerText='Customer ID' width=100></e-column>
                    <e-column field='ShipCity' headerText='Ship City' width=100></e-column>
                    <e-column field='ShipName' headerText='Ship Name' width=120></e-column>
                </e-columns>
               </ejs-grid>`
})
export class AppComponent implements OnInit {

    public data?: object[];
    public pageOptions?: PageSettingsModel;
    public locale: any = "de-DE";

    ngOnInit(): void {
        this.data = data;
        this.pageOptions = { pageSize: 6 };
    }
}
{
    "de-DE": {
      "grid": {
        "EmptyRecord": "Keine Datensätze zum Anzeigen",
        "True": "wahr",
        "False": "falsch",
        "InvalidFilterMessage": "Ungültige Filterdaten",
        "GroupDropArea": "Ziehen Sie eine Spaltenüberschrift hierher, um die Spalte zu gruppieren",
        "UnGroup": "Klicken Sie hier, um die Gruppierung aufzuheben",
        "GroupDisable": "Die Gruppierung ist für diese Spalte deaktiviert",
        "FilterbarTitle": "\"s Filterbalkenzelle",
        "EmptyDataSourceError": "Datenquelle darf beim ersten Laden nicht leer sein, da Spalten aus der Datenquelle automatisch generiert werden",
        "Add": "Hinzufügen",
        "Edit": "Bearbeiten",
        "Cancel": "Abbrechen",
        "Update": "Aktualisieren",
        "Delete": "Löschen",
        "Print": "Drucken",
        "Pdfexport": "PDF-Export",
        "Excelexport": "Excel-Export",
        "Wordexport": "Word-Export",
        "Csvexport": "CSV-Export",
        "Search": "Suchen",
        "Columnchooser": "Spalten",
        "Save": "Speichern",
        "Item": "Datensatz",
        "Items": "Datensätze",
        "EditOperationAlert": "Keine Datensätze zum Bearbeiten ausgewählt",
        "DeleteOperationAlert": "Keine Datensätze zum Löschen ausgewählt",
        "SaveButton": "Speichern",
        "OKButton": "in Ordnung",
        "CancelButton": "Abbrechen",
        "EditFormTitle": "Details von",
        "AddFormTitle": "Neuen Datensatz hinzufügen",
        "BatchSaveConfirm": "Möchten Sie die Änderungen wirklich speichern?",
        "BatchSaveLostChanges": "Nicht gespeicherte Änderungen gehen verloren. Sind Sie sicher, dass Sie fortfahren wollen?",
        "ConfirmDelete": "Möchten Sie den Datensatz wirklich löschen?",
        "CancelEdit": "Möchten Sie die Änderungen wirklich abbrechen?",
        "ChooseColumns": "Wählen Sie Spalten",
        "SearchColumns": "Spalten durchsuchen",
        "Matchs": "Keine Treffer gefunden",
        "FilterButton": "Filter",
        "ClearButton": "Löschen",
        "StartsWith": "Beginnt mit",
        "EndsWith": "Endet mit",
        "Contains": "Enthält",
        "Equal": "Gleich",
        "NotEqual": "Nicht gleich",
        "LessThan": "Weniger als",
        "LessThanOrEqual": "Weniger als oder gleich",
        "GreaterThan": "Grösser als",
        "GreaterThanOrEqual": "Grösser als oder gleich",
        "ChooseDate": "Wählen Sie ein Datum",
        "EnterValue": "Geben Sie den Wert ein",
        "Copy": "Kopieren",
        "Group": "Nach dieser Spalte gruppieren",
        "Ungroup": "Gruppierung nach dieser Spalte aufheben",
        "autoFitAll": "Automatisch alle Spalten anpassen",
        "autoFit": "Diese Spalte automatisch anpassen",
        "Export": "Export",
        "FirstPage": "Erste Seite",
        "LastPage": "Letzte Seite",
        "PreviousPage": "Vorherige Seite",
        "NextPage": "Nächste Seite",
        "SortAscending": "Aufsteigend sortieren",
        "SortDescending": "Absteigend sortieren",
        "EditRecord": "Datensatz bearbeiten",
        "DeleteRecord": "Datensatz löschen",
        "FilterMenu": "Filter",
        "SelectAll": "Wählen Sie Alle",
        "Blanks": "Leerzeichen",
        "FilterTrue": "Wahr",
        "FilterFalse": "Falsch",
        "NoResult": "Keine Treffer gefunden",
        "ClearFilter": "Filter löschen",
        "NumberFilter": "Anzahl Filter",
        "TextFilter": "Textfilter",
        "DateFilter": "Datumsfilter",
        "DateTimeFilter": "DatumsZeit-Filter",
        "MatchCase": "Gross- / Kleinschreibung",
        "Between": "Zwischen",
        "CustomFilter": "Benutzerdefinierte Filter",
        "CustomFilterPlaceHolder": "Geben Sie einen Wert ein",
        "CustomFilterDatePlaceHolder": "Wählen Sie ein Datum",
        "AND": "UND",
        "OR": "ODER",
        "ShowRowsWhere": "Zeilen anzeigen, in denen:",
        "NotStartsWith": "beginnt nicht mit",
        "Like": "Wie",
        "NotEndsWith": "endet nicht mit",
        "NotContains": "enthält nicht",
        "IsNull": "Null",
        "NotNull": "nicht null",
        "IsEmpty": "leer",
        "IsNotEmpty": "nicht leer",
        "AddCurrentSelection": "Aktuelle Auswahl zum Filter hinzufügen",
        "UnGroupButton": "Klicken Sie hier, um die Gruppierung aufzuheben",
        "AutoFitAll": "Automatisch alle Spalten anpassen",
        "AutoFit": "Diese Spalte automatisch anpassen",
        "Clear": "Klar",
        "FilterMenuDialogARIA": "Menüdialog filtern",
        "ExcelFilterDialogARIA": "Excel-Filterdialog",
        "DialogEditARIA": "Dialog bearbeiten",
        "ColumnChooserDialogARIA": "Spaltenauswahl",
        "ColumnMenuDialogARIA": "Spaltenmenüdialog",
        "CustomFilterDialogARIA": "Benutzerdefinierter Filterdialog",
        "SortAtoZ": "Sortiere von A bis Z",
        "SortZtoA": "Z bis A sortieren",
        "SortByOldest": "Nach Ältesten sortieren",
        "SortByNewest": "Nach Neuesten sortieren",
        "SortSmallestToLargest": "Vom Kleinsten zum Größten sortieren",
        "SortLargestToSmallest": "Vom Größten zum Kleinsten sortieren",
        "Sort": "Sortieren",
        "FilterDescription": "Drücken Sie die Alt-Nach-unten-Taste, um das Filtermenü zu öffnen",
        "SortDescription": "Drücken Sie zum Sortieren die Eingabetaste",
        "ColumnMenuDescription": "Drücken Sie die Alt-Nach-unten-Taste, um das Spaltenmenü zu öffnen",
        "GroupDescription": "Drücken Sie zum Gruppieren die Strg-Leertaste",
        "ColumnHeader": " Spaltenüberschrift ",
        "TemplateCell": " ist eine Vorlagenzelle",
        "CommandColumnAria": "ist die Spaltenüberschrift der Befehlsspalte ",
        "DialogEdit": "Dialog bearbeiten",
        "ClipBoard": "Zwischenablage",
        "GroupButton": "Gruppenschaltfläche",
        "UnGroupAria": "Schaltfläche zum Aufheben der Gruppierung",
        "GroupSeperator": "Trennzeichen für die gruppierten Spalten",
        "UnGroupIcon": "heben Sie die Gruppierung der gruppierten Spalte auf ",
        "GroupedSortIcon": "sortieren Sie die gruppierte Spalte ",
        "GroupedDrag": "Ziehen Sie die gruppierte Spalte",
        "GroupCaption": " ist eine Gruppenunterschriftszelle",
        "CheckBoxLabel": "Kontrollkästchen",
        "Expanded": "Erweitert",
        "Collapsed": "Zusammengebrochen"
      },
      "pager": {
        "currentPageInfo": "{0} von {1} Seiten",
        "totalItemsInfo": "({0} Datensätze)",
        "firstPageTooltip": "Gehe zur ersten Seite",
        "lastPageTooltip": "Gehe zur letzten Seite",
        "nextPageTooltip": "Gehe zur nächsten Seite",
        "previousPageTooltip": "Zurück zur letzten Seite",
        "nextPagerTooltip": "Gehe zu den nächsten Pager-Elementen",
        "previousPagerTooltip": "Gehen Sie zu den vorherigen Pager-Elementen",
        "pagerDropDown": "Datensätze pro Seite",
        "pagerAllDropDown": "Datensätze",
        "All": "Alle",
        "totalItemInfo": "({0} Datensatz)",
        "Container": "Pager-Container",
        "Information": "Pager-Informationen",
        "ExternalMsg": "Pager-externe Nachricht",
        "Page": "Buchseite ",
        "Of": " von ",
        "Pages": " Seiten"
      }
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Loading translations for fr cultures

Translation loading enables specifying translation objects for different cultures such as “German”, “Arabic”, and “French” so the grid displays content in the chosen language.

Please verify that JSON module support is enabled in tsconfig.json as mentioned earlier in this guide.

The following example demonstrates loading a translation object for “French (fr)” by setting the locale to “fr-FR” and using L10n.load from the ej2-base module.

import { data } from './datasource';
import { frFRLocalization } from './locale.json';
import { Component, OnInit } from '@angular/core';
import { EditService, EditSettingsModel, GridModule, GroupService, PageService, PageSettingsModel, ToolbarItems, ToolbarService } from '@syncfusion/ej2-angular-grids';
import { L10n } from '@syncfusion/ej2-base';

L10n.load(frFRLocalization);

@Component({
    imports: [ GridModule] ,
    providers: [GroupService, PageService, EditService, ToolbarService],
    standalone: true,
    selector: 'app-root',
    template: `<ejs-grid [dataSource]='data' [locale]='locale' [allowGrouping]='true' [allowPaging]='true'
             [pageSettings]='pageOptions' [editSettings]='editSettings' [toolbar]='toolbar' height='200px'>
                <e-columns>
                    <e-column field='OrderID' headerText='Order ID' textAlign='Right' isPrimaryKey='true' width=90></e-column>
                    <e-column field='CustomerID' headerText='Customer ID' width=100></e-column>
                    <e-column field='ShipCity' headerText='Ship City' width=100></e-column>
                    <e-column field='ShipName' headerText='Ship Name' width=120></e-column>
                </e-columns>
               </ejs-grid>`
})
export class AppComponent implements OnInit {

    public data?: object[];
    public pageOptions?: PageSettingsModel;
    public editSettings?: EditSettingsModel;
    public toolbar?: ToolbarItems[];
    public locale: any = 'fr-FR';

    ngOnInit(): void {
        this.data = data;
        this.pageOptions = { pageSize: 6 };
        this.editSettings = { allowEditing: true, allowAdding: true, allowDeleting: true };
        this.toolbar = ['Add', 'Edit', 'Delete', 'Update', 'Cancel', 'Search'];
    }
}
{
  "fr-FR": {
    "grid": {
      "EmptyRecord": "Aucun enregistrement à afficher",
      "True": "vrai",
      "False": "faux",
      "InvalidFilterMessage": "Données de filtre non valides",
      "GroupDropArea": "Faites glisser un en-tête de colonne ici pour regrouper sa colonne",
      "UnGroup": "Cliquez ici pour dissocier",
      "GroupDisable": "Le regroupement est désactivé pour cette colonne",
      "FilterbarTitle": "Cellule de barre de filtre \"s",
      "EmptyDataSourceError": "DataSource ne doit pas être vide lors du chargement initial car les colonnes sont générées à partir de dataSource dans AutoGenerate Column Grid",
      "Add": "Ajouter",
      "Edit": "Éditer",
      "Cancel": "Annuler",
      "Update": "Mise à jour",
      "Delete": "Supprimer",
      "Print": "Impression",
      "Pdfexport": "Exportation PDF",
      "Excelexport": "Exportation Excel",
      "Wordexport": "Exportation de mots",
      "Csvexport": "Exportation CSV",
      "Search": "Chercher",
      "Columnchooser": "Colonnes",
      "Save": "sauvegarder",
      "Item": "article",
      "Items": "articles",
      "EditOperationAlert": "Aucun enregistrement sélectionné pour l'opération d'édition",
      "DeleteOperationAlert": "Aucun enregistrement sélectionné pour l'opération de suppression",
      "SaveButton": "Sauvegarder",
      "OKButton": "Ok",
      "CancelButton": "Annuler",
      "EditFormTitle": "Les détails de",
      "AddFormTitle": "Ajouter un nouvel enregistrement",
      "BatchSaveConfirm": "Voulez-vous vraiment enregistrer les modifications ?",
      "BatchSaveLostChanges": "Les modifications non enregistrées seront perdues. Es-tu sur de vouloir continuer ?",
      "ConfirmDelete": "Voulez-vous vraiment supprimer l'enregistrement ?",
      "CancelEdit": "Voulez-vous vraiment annuler les modifications ?",
      "ChooseColumns": "Choisissez la colonne",
      "SearchColumns": "colonnes de recherche",
      "Matchs": "Aucun résultat",
      "FilterButton": "Filtrer",
      "ClearButton": "Effacer",
      "StartsWith": "Commence par",
      "EndsWith": "Se termine par",
      "Contains": "Contient",
      "Equal": "Égal",
      "NotEqual": "Différent",
      "LessThan": "Inférieur",
      "LessThanOrEqual": "Inférieur ou égal",
      "GreaterThan": "Supérieur",
      "GreaterThanOrEqual": "Supérieur ou égal",
      "ChooseDate": "Choisissez une date",
      "EnterValue": "Entrez la valeur",
      "Copy": "Copie",
      "Group": "Regrouper par cette colonne",
      "Ungroup": "Dissocier par cette colonne",
      "autoFitAll": "Ajuster automatiquement toutes les colonnes",
      "autoFit": "Ajuster automatiquement cette colonne",
      "Export": "Exportation",
      "FirstPage": "Première page",
      "LastPage": "Dernière page",
      "PreviousPage": "Page précédente",
      "NextPage": "Page suivante",
      "SortAscending": "Trier par ordre croissant",
      "SortDescending": "Trier par ordre décroissant",
      "EditRecord": "Modifier l'enregistrement",
      "DeleteRecord": "Supprimer l'enregistrement",
      "FilterMenu": "Filtre",
      "SelectAll": "Tout sélectionner",
      "Blanks": "Blancs",
      "FilterTrue": "Vrai",
      "FilterFalse": "Faux",
      "NoResult": "Aucun résultat",
      "ClearFilter": "Effacer le filtre",
      "NumberFilter": "Filtres numériques",
      "TextFilter": "Filtres de texte",
      "DateFilter": "Filtres de date",
      "DateTimeFilter": "Filtres DateTime",
      "MatchCase": "Cas de correspondance",
      "Between": "Entre",
      "CustomFilter": "Filtre personnalisé",
      "CustomFilterPlaceHolder": "Entrez la valeur",
      "CustomFilterDatePlaceHolder": "Choisissez une date",
      "AND": "ET",
      "OR": "OU",
      "ShowRowsWhere": "Afficher les lignes où:",
      "NotStartsWith": "Ne commence pas par",
      "Like": "Comme",
      "NotEndsWith": "Ne se termine pas par",
      "NotContains": "Ne contient pas",
      "IsNull": "Nul",
      "NotNull": "Non nul",
      "IsEmpty": "Vide",
      "IsNotEmpty": "Pas vide",
      "AddCurrentSelection": "Ajouter la sélection actuelle au filtre",
      "UnGroupButton": "Cliquez ici pour dissocier",
      "AutoFitAll": "Ajuster automatiquement toutes les colonnes",
      "AutoFit": "Ajuster automatiquement cette colonne",
      "Clear": "Dégager",
      "FilterMenuDialogARIA": "Boîte de dialogue du menu Filtre",
      "ExcelFilterDialogARIA": "Boîte de dialogue de filtre Excel",
      "DialogEditARIA": "Boîte de dialogue Modifier",
      "ColumnChooserDialogARIA": "Sélecteur de colonne",
      "ColumnMenuDialogARIA": "Boîte de dialogue du menu des colonnes",
      "CustomFilterDialogARIA": "Boîte de dialogue Filtre personnalisé",
      "SortAtoZ": "Trier de A à Z",
      "SortZtoA": "Trier de Z à A",
      "SortByOldest": "Trier par le plus ancien",
      "SortByNewest": "Trier par Plus récent",
      "SortSmallestToLargest": "Trier du plus petit au plus grand",
      "SortLargestToSmallest": "Trier du plus grand au plus petit",
      "Sort": "Sorte",
      "FilterDescription": "Appuyez sur Alt Bas pour ouvrir le menu du filtre",
      "SortDescription": "Appuyez sur Entrée pour trier",
      "ColumnMenuDescription": "Appuyez sur Alt Bas pour ouvrir le menu des colonnes",
      "GroupDescription": "Appuyez sur Ctrl espace pour grouper",
      "ColumnHeader": " en-tête de colonne ",
      "TemplateCell": " est une cellule modèle",
      "CommandColumnAria": "est l'en-tête de colonne de la colonne de commande ",
      "DialogEdit": "Modifier la boîte de dialogue",
      "ClipBoard": "presse-papiers",
      "GroupButton": "Bouton de groupe",
      "UnGroupAria": "bouton dissocier",
      "GroupSeperator": "Séparateur pour les colonnes groupées",
      "UnGroupIcon": "dissocier la colonne groupée ",
      "GroupedSortIcon": "trier la colonne groupée ",
      "GroupedDrag": "Faites glisser la colonne groupée",
      "GroupCaption": " est une cellule de légende de groupe",
      "CheckBoxLabel": "case à cocher",
      "Expanded": "Étendue",
      "Collapsed": "S'est effondré"
    },
    "pager": {
      "currentPageInfo": "{0} de {1} pages",
      "totalItemsInfo": "({0} éléments)",
      "firstPageTooltip": "Aller à la première page",
      "lastPageTooltip": "Aller à la dernière page",
      "nextPageTooltip": "Aller à la page suivante",
      "previousPageTooltip": "Aller à la page précédente",
      "nextPagerTooltip": "Aller aux éléments suivants du téléavertisseur",
      "previousPagerTooltip": "Accéder aux éléments de téléavertisseur précédents",
      "pagerDropDown": "objets par page",
      "pagerAllDropDown": "Articles",
      "All": "Tout",
      "totalItemInfo": "({0} élément)",
      "Container": "Conteneur de téléavertisseur",
      "Information": "Informations sur le téléavertisseur",
      "ExternalMsg": "Message externe du téléavertisseur",
      "Page": "Page",
      "Of": " de ",
      "Pages": " pages"
    }
  }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Switch the different localization

The Angular Data Grid supports switching localization between cultures, allowing dynamic changes based on application requirements.

Switching localization requires the following steps:

Step 1: Import and load the required CLDR (Common Locale Data Repository) data for the desired culture using the loadCldr function.

loadCldr(
  caGregorian,
  currencies,
  numbers,
  timeZoneNames,
  numberingSystems
);

Step 2: Please verify that JSON module support is enabled in tsconfig.json as mentioned earlier in this guide.

Step 3: Change the default culture and currency code using the setCulture and setCurrencyCode methods.

An example demonstrates switching to the “French” culture and setting the currency code to “EUR” via external button clicks.

import { cagregorian } from './ca-gregorian.json';
import { currencies } from './currencies.json';
import { data } from './datasource';
import { frFRLocalization } from './locale.json';
import { numberingSystems } from './numberingSystems.json';
import { numbers } from './numbers.json';
import { timeZoneNames } from './timeZoneNames.json';
import { Component, OnInit } from '@angular/core';
import { ButtonModule } from '@syncfusion/ej2-angular-buttons';
import { GridModule, PageService } from '@syncfusion/ej2-angular-grids';
import { L10n, loadCldr, setCulture, setCurrencyCode } from '@syncfusion/ej2-base';

L10n.load(frFRLocalization);
setCulture('fr-FR'); // Change the Grid culture
setCurrencyCode('EUR');

@Component({
    imports: [GridModule,ButtonModule],
    providers: [PageService ],
    standalone: true,
    selector: 'app-root',
    template: `
    <button ejs-button id="frButton" cssClass="e-outline" (click)="ChangeFrLocale()">Change FR Locale</button>
    <button ejs-button id="enButton" style="margin-left:5px" cssClass="e-outline" (click)="ChangeEnLocale()">Change En Locale</button>
    <ejs-grid style="padding: 10px 10px" [dataSource]='data' [allowPaging]='true' height='220px'>
        <e-columns>
            <e-column field='OrderID' headerText='Order ID' textAlign='Right' width=90></e-column>
            <e-column field='CustomerID' headerText='Customer ID' width=100></e-column>
            <e-column field='Freight' headerText='Freight' format="C2"  width=90></e-column>
            <e-column field="ShipCountry" headerText="Ship Country" width="100"></e-column>
        </e-columns>
    </ejs-grid>`
})
export class AppComponent implements OnInit {

    public data?: object[];

    ngOnInit(): void {
        this.data = data;
        loadCldr(
            cagregorian,
            currencies,
            numbers,
            timeZoneNames,
            numberingSystems
        );
    }

    ChangeFrLocale() {
        setCulture('fr-FR'); // Change the Grid culture to French locale
        setCurrencyCode('EUR'); // Change the currency code based on French culture
    }

    ChangeEnLocale() {
        setCulture('en-US'); // Change the Grid culture to English locale
        setCurrencyCode('USD'); // Change the currency code based on American English culture
    }
}
{
  "fr-FR": {
    "grid": {
      "EmptyRecord": "Aucun enregistrement à afficher",
      "True": "vrai",
      "False": "faux",
      "InvalidFilterMessage": "Données de filtre non valides",
      "GroupDropArea": "Faites glisser un en-tête de colonne ici pour regrouper sa colonne",
      "UnGroup": "Cliquez ici pour dissocier",
      "GroupDisable": "Le regroupement est désactivé pour cette colonne",
      "FilterbarTitle": "Cellule de barre de filtre \"s",
      "EmptyDataSourceError": "DataSource ne doit pas être vide lors du chargement initial car les colonnes sont générées à partir de dataSource dans AutoGenerate Column Grid",
      "Add": "Ajouter",
      "Edit": "Éditer",
      "Cancel": "Annuler",
      "Update": "Mise à jour",
      "Delete": "Supprimer",
      "Print": "Impression",
      "Pdfexport": "Exportation PDF",
      "Excelexport": "Exportation Excel",
      "Wordexport": "Exportation de mots",
      "Csvexport": "Exportation CSV",
      "Search": "Chercher",
      "Columnchooser": "Colonnes",
      "Save": "sauvegarder",
      "Item": "article",
      "Items": "articles",
      "EditOperationAlert": "Aucun enregistrement sélectionné pour l'opération d'édition",
      "DeleteOperationAlert": "Aucun enregistrement sélectionné pour l'opération de suppression",
      "SaveButton": "Sauvegarder",
      "OKButton": "Ok",
      "CancelButton": "Annuler",
      "EditFormTitle": "Les détails de",
      "AddFormTitle": "Ajouter un nouvel enregistrement",
      "BatchSaveConfirm": "Voulez-vous vraiment enregistrer les modifications ?",
      "BatchSaveLostChanges": "Les modifications non enregistrées seront perdues. Es-tu sur de vouloir continuer ?",
      "ConfirmDelete": "Voulez-vous vraiment supprimer l'enregistrement ?",
      "CancelEdit": "Voulez-vous vraiment annuler les modifications ?",
      "ChooseColumns": "Choisissez la colonne",
      "SearchColumns": "colonnes de recherche",
      "Matchs": "Aucun résultat",
      "FilterButton": "Filtrer",
      "ClearButton": "Effacer",
      "StartsWith": "Commence par",
      "EndsWith": "Se termine par",
      "Contains": "Contient",
      "Equal": "Égal",
      "NotEqual": "Différent",
      "LessThan": "Inférieur",
      "LessThanOrEqual": "Inférieur ou égal",
      "GreaterThan": "Supérieur",
      "GreaterThanOrEqual": "Supérieur ou égal",
      "ChooseDate": "Choisissez une date",
      "EnterValue": "Entrez la valeur",
      "Copy": "Copie",
      "Group": "Regrouper par cette colonne",
      "Ungroup": "Dissocier par cette colonne",
      "autoFitAll": "Ajuster automatiquement toutes les colonnes",
      "autoFit": "Ajuster automatiquement cette colonne",
      "Export": "Exportation",
      "FirstPage": "Première page",
      "LastPage": "Dernière page",
      "PreviousPage": "Page précédente",
      "NextPage": "Page suivante",
      "SortAscending": "Trier par ordre croissant",
      "SortDescending": "Trier par ordre décroissant",
      "EditRecord": "Modifier l'enregistrement",
      "DeleteRecord": "Supprimer l'enregistrement",
      "FilterMenu": "Filtre",
      "SelectAll": "Tout sélectionner",
      "Blanks": "Blancs",
      "FilterTrue": "Vrai",
      "FilterFalse": "Faux",
      "NoResult": "Aucun résultat",
      "ClearFilter": "Effacer le filtre",
      "NumberFilter": "Filtres numériques",
      "TextFilter": "Filtres de texte",
      "DateFilter": "Filtres de date",
      "DateTimeFilter": "Filtres DateTime",
      "MatchCase": "Cas de correspondance",
      "Between": "Entre",
      "CustomFilter": "Filtre personnalisé",
      "CustomFilterPlaceHolder": "Entrez la valeur",
      "CustomFilterDatePlaceHolder": "Choisissez une date",
      "AND": "ET",
      "OR": "OU",
      "ShowRowsWhere": "Afficher les lignes où:",
      "NotStartsWith": "Ne commence pas par",
      "Like": "Comme",
      "NotEndsWith": "Ne se termine pas par",
      "NotContains": "Ne contient pas",
      "IsNull": "Nul",
      "NotNull": "Non nul",
      "IsEmpty": "Vide",
      "IsNotEmpty": "Pas vide",
      "AddCurrentSelection": "Ajouter la sélection actuelle au filtre",
      "UnGroupButton": "Cliquez ici pour dissocier",
      "AutoFitAll": "Ajuster automatiquement toutes les colonnes",
      "AutoFit": "Ajuster automatiquement cette colonne",
      "Clear": "Dégager",
      "FilterMenuDialogARIA": "Boîte de dialogue du menu Filtre",
      "ExcelFilterDialogARIA": "Boîte de dialogue de filtre Excel",
      "DialogEditARIA": "Boîte de dialogue Modifier",
      "ColumnChooserDialogARIA": "Sélecteur de colonne",
      "ColumnMenuDialogARIA": "Boîte de dialogue du menu des colonnes",
      "CustomFilterDialogARIA": "Boîte de dialogue Filtre personnalisé",
      "SortAtoZ": "Trier de A à Z",
      "SortZtoA": "Trier de Z à A",
      "SortByOldest": "Trier par le plus ancien",
      "SortByNewest": "Trier par Plus récent",
      "SortSmallestToLargest": "Trier du plus petit au plus grand",
      "SortLargestToSmallest": "Trier du plus grand au plus petit",
      "Sort": "Sorte",
      "FilterDescription": "Appuyez sur Alt Bas pour ouvrir le menu du filtre",
      "SortDescription": "Appuyez sur Entrée pour trier",
      "ColumnMenuDescription": "Appuyez sur Alt Bas pour ouvrir le menu des colonnes",
      "GroupDescription": "Appuyez sur Ctrl espace pour grouper",
      "ColumnHeader": " en-tête de colonne ",
      "TemplateCell": " est une cellule modèle",
      "CommandColumnAria": "est l'en-tête de colonne de la colonne de commande ",
      "DialogEdit": "Modifier la boîte de dialogue",
      "ClipBoard": "presse-papiers",
      "GroupButton": "Bouton de groupe",
      "UnGroupAria": "bouton dissocier",
      "GroupSeperator": "Séparateur pour les colonnes groupées",
      "UnGroupIcon": "dissocier la colonne groupée ",
      "GroupedSortIcon": "trier la colonne groupée ",
      "GroupedDrag": "Faites glisser la colonne groupée",
      "GroupCaption": " est une cellule de légende de groupe",
      "CheckBoxLabel": "case à cocher",
      "Expanded": "Étendue",
      "Collapsed": "S'est effondré"
    },
    "pager": {
      "currentPageInfo": "{0} de {1} pages",
      "totalItemsInfo": "({0} éléments)",
      "firstPageTooltip": "Aller à la première page",
      "lastPageTooltip": "Aller à la dernière page",
      "nextPageTooltip": "Aller à la page suivante",
      "previousPageTooltip": "Aller à la page précédente",
      "nextPagerTooltip": "Aller aux éléments suivants du téléavertisseur",
      "previousPagerTooltip": "Accéder aux éléments de téléavertisseur précédents",
      "pagerDropDown": "objets par page",
      "pagerAllDropDown": "Articles",
      "All": "Tout",
      "totalItemInfo": "({0} élément)",
      "Container": "Conteneur de téléavertisseur",
      "Information": "Informations sur le téléavertisseur",
      "ExternalMsg": "Message externe du téléavertisseur",
      "Page": "Page",
      "Of": " de ",
      "Pages": " pages"
    }
  }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Set different locale text for two Grids in same page

The Angular Data Grid allows configuring different locale settings for multiple Grids displayed on the same page. By using the L10n.load function to define translations for specific languages so each Grid applies the appropriate localized text for headers, toolbar items, and action buttons.

For example, one Grid can use the “fr-FR” locale to display “French” text, while another Grid uses “en-US” and keeps the default “English” text. This shows that each Grid can have its own localization without affecting the others

Internationalization

The Internationalization library provides localized formatting for number, date, and time values in the Grid based on language and region.

Internationalization enables globalization of number, date, and time values using format strings defined in the format property.

This ensures that the Grid component uses the correct format strings for number, date, and time values based on the selected culture.

import { cagregorian } from './ca-gregorian.json';
import { currencies } from './currencies.json';
import { data } from './datasource';
import { deDELocalization } from './locale.json';
import { numberingSystems } from './numberingSystems.json';
import { numbers } from './numbers.json';
import { timeZoneNames } from './timeZoneNames.json';
import { Component, OnInit } from '@angular/core';
import { GridModule, GroupService, PageService } from '@syncfusion/ej2-angular-grids';
import { L10n, loadCldr, setCulture, setCurrencyCode } from '@syncfusion/ej2-base';

L10n.load(deDELocalization);

@Component({
    imports: [ GridModule ],
    providers: [GroupService, PageService],
    standalone: true,
    selector: 'app-root',
    template: `<ejs-grid [dataSource]='data' [allowPaging]="true" [allowGrouping]="true" height='240px'>
                <e-columns>
                    <e-column field='OrderID' headerText='Order ID' textAlign='Right' width=120></e-column>
                    <e-column field='CustomerID' headerText='Customer ID' width=100></e-column>
                    <e-column field='Freight' headerText='Freight' [format]='formatOptions' textAlign='Right' width=80></e-column>
                    <e-column field='ShipName' headerText='Ship Name' width=120></e-column>
                </e-columns>
               </ejs-grid>`
})
export class AppComponent implements OnInit {

    public data?: object[];
    public formatOptions?: object;
    

    ngOnInit(): void {
        setCulture('de-DE');
        setCurrencyCode('EUR');

        loadCldr(
            cagregorian,
            currencies,
            numbers,
            timeZoneNames,
            numberingSystems
        );

        this.data = data;
        this.formatOptions = { format: 'C2', useGrouping: false, minimumSignificantDigits: 1, maximumSignificantDigits: 3 }
    }
}
{
    "de-DE": {
      "grid": {
        "EmptyRecord": "Keine Datensätze zum Anzeigen",
        "True": "wahr",
        "False": "falsch",
        "InvalidFilterMessage": "Ungültige Filterdaten",
        "GroupDropArea": "Ziehen Sie eine Spaltenüberschrift hierher, um die Spalte zu gruppieren",
        "UnGroup": "Klicken Sie hier, um die Gruppierung aufzuheben",
        "GroupDisable": "Die Gruppierung ist für diese Spalte deaktiviert",
        "FilterbarTitle": "\"s Filterbalkenzelle",
        "EmptyDataSourceError": "Datenquelle darf beim ersten Laden nicht leer sein, da Spalten aus der Datenquelle automatisch generiert werden",
        "Add": "Hinzufügen",
        "Edit": "Bearbeiten",
        "Cancel": "Abbrechen",
        "Update": "Aktualisieren",
        "Delete": "Löschen",
        "Print": "Drucken",
        "Pdfexport": "PDF-Export",
        "Excelexport": "Excel-Export",
        "Wordexport": "Word-Export",
        "Csvexport": "CSV-Export",
        "Search": "Suchen",
        "Columnchooser": "Spalten",
        "Save": "Speichern",
        "Item": "Datensatz",
        "Items": "Datensätze",
        "EditOperationAlert": "Keine Datensätze zum Bearbeiten ausgewählt",
        "DeleteOperationAlert": "Keine Datensätze zum Löschen ausgewählt",
        "SaveButton": "Speichern",
        "OKButton": "in Ordnung",
        "CancelButton": "Abbrechen",
        "EditFormTitle": "Details von",
        "AddFormTitle": "Neuen Datensatz hinzufügen",
        "BatchSaveConfirm": "Möchten Sie die Änderungen wirklich speichern?",
        "BatchSaveLostChanges": "Nicht gespeicherte Änderungen gehen verloren. Sind Sie sicher, dass Sie fortfahren wollen?",
        "ConfirmDelete": "Möchten Sie den Datensatz wirklich löschen?",
        "CancelEdit": "Möchten Sie die Änderungen wirklich abbrechen?",
        "ChooseColumns": "Wählen Sie Spalten",
        "SearchColumns": "Spalten durchsuchen",
        "Matchs": "Keine Treffer gefunden",
        "FilterButton": "Filter",
        "ClearButton": "Löschen",
        "StartsWith": "Beginnt mit",
        "EndsWith": "Endet mit",
        "Contains": "Enthält",
        "Equal": "Gleich",
        "NotEqual": "Nicht gleich",
        "LessThan": "Weniger als",
        "LessThanOrEqual": "Weniger als oder gleich",
        "GreaterThan": "Grösser als",
        "GreaterThanOrEqual": "Grösser als oder gleich",
        "ChooseDate": "Wählen Sie ein Datum",
        "EnterValue": "Geben Sie den Wert ein",
        "Copy": "Kopieren",
        "Group": "Nach dieser Spalte gruppieren",
        "Ungroup": "Gruppierung nach dieser Spalte aufheben",
        "autoFitAll": "Automatisch alle Spalten anpassen",
        "autoFit": "Diese Spalte automatisch anpassen",
        "Export": "Export",
        "FirstPage": "Erste Seite",
        "LastPage": "Letzte Seite",
        "PreviousPage": "Vorherige Seite",
        "NextPage": "Nächste Seite",
        "SortAscending": "Aufsteigend sortieren",
        "SortDescending": "Absteigend sortieren",
        "EditRecord": "Datensatz bearbeiten",
        "DeleteRecord": "Datensatz löschen",
        "FilterMenu": "Filter",
        "SelectAll": "Wählen Sie Alle",
        "Blanks": "Leerzeichen",
        "FilterTrue": "Wahr",
        "FilterFalse": "Falsch",
        "NoResult": "Keine Treffer gefunden",
        "ClearFilter": "Filter löschen",
        "NumberFilter": "Anzahl Filter",
        "TextFilter": "Textfilter",
        "DateFilter": "Datumsfilter",
        "DateTimeFilter": "DatumsZeit-Filter",
        "MatchCase": "Gross- / Kleinschreibung",
        "Between": "Zwischen",
        "CustomFilter": "Benutzerdefinierte Filter",
        "CustomFilterPlaceHolder": "Geben Sie einen Wert ein",
        "CustomFilterDatePlaceHolder": "Wählen Sie ein Datum",
        "AND": "UND",
        "OR": "ODER",
        "ShowRowsWhere": "Zeilen anzeigen, in denen:",
        "NotStartsWith": "beginnt nicht mit",
        "Like": "Wie",
        "NotEndsWith": "endet nicht mit",
        "NotContains": "enthält nicht",
        "IsNull": "Null",
        "NotNull": "nicht null",
        "IsEmpty": "leer",
        "IsNotEmpty": "nicht leer",
        "AddCurrentSelection": "Aktuelle Auswahl zum Filter hinzufügen",
        "UnGroupButton": "Klicken Sie hier, um die Gruppierung aufzuheben",
        "AutoFitAll": "Automatisch alle Spalten anpassen",
        "AutoFit": "Diese Spalte automatisch anpassen",
        "Clear": "Klar",
        "FilterMenuDialogARIA": "Menüdialog filtern",
        "ExcelFilterDialogARIA": "Excel-Filterdialog",
        "DialogEditARIA": "Dialog bearbeiten",
        "ColumnChooserDialogARIA": "Spaltenauswahl",
        "ColumnMenuDialogARIA": "Spaltenmenüdialog",
        "CustomFilterDialogARIA": "Benutzerdefinierter Filterdialog",
        "SortAtoZ": "Sortiere von A bis Z",
        "SortZtoA": "Z bis A sortieren",
        "SortByOldest": "Nach Ältesten sortieren",
        "SortByNewest": "Nach Neuesten sortieren",
        "SortSmallestToLargest": "Vom Kleinsten zum Größten sortieren",
        "SortLargestToSmallest": "Vom Größten zum Kleinsten sortieren",
        "Sort": "Sortieren",
        "FilterDescription": "Drücken Sie die Alt-Nach-unten-Taste, um das Filtermenü zu öffnen",
        "SortDescription": "Drücken Sie zum Sortieren die Eingabetaste",
        "ColumnMenuDescription": "Drücken Sie die Alt-Nach-unten-Taste, um das Spaltenmenü zu öffnen",
        "GroupDescription": "Drücken Sie zum Gruppieren die Strg-Leertaste",
        "ColumnHeader": " Spaltenüberschrift ",
        "TemplateCell": " ist eine Vorlagenzelle",
        "CommandColumnAria": "ist die Spaltenüberschrift der Befehlsspalte ",
        "DialogEdit": "Dialog bearbeiten",
        "ClipBoard": "Zwischenablage",
        "GroupButton": "Gruppenschaltfläche",
        "UnGroupAria": "Schaltfläche zum Aufheben der Gruppierung",
        "GroupSeperator": "Trennzeichen für die gruppierten Spalten",
        "UnGroupIcon": "heben Sie die Gruppierung der gruppierten Spalte auf ",
        "GroupedSortIcon": "sortieren Sie die gruppierte Spalte ",
        "GroupedDrag": "Ziehen Sie die gruppierte Spalte",
        "GroupCaption": " ist eine Gruppenunterschriftszelle",
        "CheckBoxLabel": "Kontrollkästchen",
        "Expanded": "Erweitert",
        "Collapsed": "Zusammengebrochen"
      },
      "pager": {
        "currentPageInfo": "{0} von {1} Seiten",
        "totalItemsInfo": "({0} Datensätze)",
        "firstPageTooltip": "Gehe zur ersten Seite",
        "lastPageTooltip": "Gehe zur letzten Seite",
        "nextPageTooltip": "Gehe zur nächsten Seite",
        "previousPageTooltip": "Zurück zur letzten Seite",
        "nextPagerTooltip": "Gehe zu den nächsten Pager-Elementen",
        "previousPagerTooltip": "Gehen Sie zu den vorherigen Pager-Elementen",
        "pagerDropDown": "Datensätze pro Seite",
        "pagerAllDropDown": "Datensätze",
        "All": "Alle",
        "totalItemInfo": "({0} Datensatz)",
        "Container": "Pager-Container",
        "Information": "Pager-Informationen",
        "ExternalMsg": "Pager-externe Nachricht",
        "Page": "Buchseite ",
        "Of": " von ",
        "Pages": " Seiten"
      }
    }
  }
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

  • In the above sample, the “Freight” column is formatted using NumberFormatOptions.
  • By default, the locale value is “en-US”. Change the locale property to use a different culture.

Right-to-Left - RTL

The Right-to-Left (RTL) feature switches text direction and layout from left-to-right to right-to-left. This feature is especially beneficial for interacting with the grid in languages that are written and read from right to left, such as “Arabic”, “Farsi”, “Urdu”, and others. Enabling RTL significantly improves the experience and accessibility for such languages.

Enable RTL by setting the enableRtl property to true. This adjusts the Grid’s text direction and layout for right-to-left languages.

Please verify that JSON module support is enabled in tsconfig.json as mentioned earlier in this guide.

The example below adds an EJ2 Toggle Switch Button to enable or disable RTL for the “Arabic (ar-AE)” locale. When toggled, the change event updates the grid’s enableRtl property.

import { data } from './datasource';
import { arAELocalization } from './locale.json';
import { Component, OnInit, ViewChild } from '@angular/core';
import { ChangeEventArgs, ButtonModule, CheckBoxModule, RadioButtonModule,SwitchModule, } from '@syncfusion/ej2-angular-buttons';
import { ColumnChooserService, ColumnMenuService, EditService, EditSettingsModel, FilterService, GridComponent, GridModule, GroupService, PageService, PageSettingsModel, ReorderService, SortService, ToolbarItems, ToolbarService } from '@syncfusion/ej2-angular-grids';
import { L10n } from '@syncfusion/ej2-base';

L10n.load(arAELocalization);

@Component({
    imports: [ GridModule, ButtonModule,CheckBoxModule,RadioButtonModule,SwitchModule],
    providers: [ PageService, ToolbarService, EditService, GroupService, FilterService, SortService, ReorderService, ColumnMenuService, ColumnChooserService],
    standalone: true,
    selector: 'app-root',
    template: `
    <div>
      <label style="padding: 10px 10px"> Enable or diable RTL mode</label>
      <ejs-switch id="switch" (change)="onSwitchChange($event)"></ejs-switch>
    </div>
    <ejs-grid #grid [dataSource]='data' [allowSorting]='true' [allowReordering]='true' 
    [allowFiltering]='true' [allowGrouping]='true' [editSettings]="editSettings" [toolbar]="toolbar" 
    [enableRtl]='true' [locale]='locale' [allowPaging]='true' [pageSettings]='pageOptions'
    [showColumnMenu]='true' [showColumnChooser]='true'>
                <e-columns>
                    <e-column field='OrderID' headerText='Order ID' textAlign='Right' isPrimaryKey='true' width=90></e-column>
                    <e-column field='CustomerID' headerText='Customer ID' width=100></e-column>
                    <e-column field='ShipCity' headerText='Ship City' width=100></e-column>
                    <e-column field='ShipName' headerText='Ship Name' width=120></e-column>
                </e-columns>
               </ejs-grid>`
})
export class AppComponent implements OnInit {

    public data?: object[];
    public pageOptions?: PageSettingsModel;
    public locale: any = 'ar-AE';
    public editSettings?: EditSettingsModel;
    public toolbar?: ToolbarItems[];
    @ViewChild('grid')
    public grid?: GridComponent;

    ngOnInit(): void {
        this.data = data;
        this.pageOptions = { pageSize: 7 };
        this.editSettings = { allowEditing: true, allowAdding: true, allowDeleting: true, mode:'Normal' };
        this.toolbar = ['Add', 'Edit', 'Delete', 'Update', 'Cancel'];
    }

    onSwitchChange(args: ChangeEventArgs) {
        if (args.checked) {
          (this.grid as GridComponent).enableRtl = false;
        } else {
          (this.grid as GridComponent).enableRtl = true;
        }
      }
}
{
    "ar-AE": {
      "grid": {
        "EmptyRecord": "لا سجلات لعرضها",
        "True": "صحيح",
        "False": "خاطئة",
        "InvalidFilterMessage": "بيانات تصفية غير صالحة",
        "GroupDropArea": "اسحب رأس العمود هنا لتجميع العمود",
        "UnGroup": "انقر هنا لإلغاء التجميع",
        "GroupDisable": "تم تعطيل التجميع لهذا العمود",
        "FilterbarTitle": "خلية شريط مرشح",
        "EmptyDataSourceError": "يجب ألا يكون DataSource فارغًا عند التحميل الأولي نظرًا لأن الأعمدة يتم إنشاؤها من DataSource في شبكة إنشاء عمود تلقائي",
        "Add": "إضافة",
        "Edit": "تعديل",
        "Cancel": "إلغاء",
        "Update": "تحديث",
        "Delete": "حذف",
        "Print": "طباعة",
        "Pdfexport": "تصدير قوات الدفاع الشعبي",
        "Excelexport": "اكسل التصدير",
        "Wordexport": "كلمة تصدير",
        "Csvexport": "تصدير CSV",
        "Search": "بحث",
        "Columnchooser": "أعمدة",
        "Save": "حفظ",
        "Item": "بند",
        "Items": "العناصر",
        "EditOperationAlert": "لم يتم تحديد سجلات لعملية التحرير",
        "DeleteOperationAlert": "لم يتم تحديد سجلات لعملية الحذف",
        "SaveButton": "حفظ",
        "OKButton": "حسنا",
        "CancelButton": "إلغاء",
        "EditFormTitle": "تفاصيل",
        "AddFormTitle": "إضافة سجل جديد",
        "BatchSaveConfirm": "هل أنت متأكد أنك تريد حفظ التغييرات؟",
        "BatchSaveLostChanges": "سيتم فقد التغييرات غير المحفوظة. هل أنت متأكد أنك تريد المتابعة؟",
        "ConfirmDelete": "هل أنت متأكد أنك تريد حذف السجل؟",
        "CancelEdit": "هل أنت متأكد من أنك تريد إلغاء التغييرات؟",
        "ChooseColumns": "اختيار العمود",
        "SearchColumns": "أعمدة البحث",
        "Matchs": "لم يتم العثور على تطابق",
        "FilterButton": "منقي",
        "ClearButton": "واضح",
        "StartsWith": "ابدا ب",
        "EndsWith": "ينتهي بـ",
        "Contains": "يحتوي على",
        "Equal": "مساو",
        "NotEqual": "ليس متساوي",
        "LessThan": "أقل من",
        "LessThanOrEqual": "اصغر من او يساوي",
        "GreaterThan": "أكثر من",
        "GreaterThanOrEqual": "أكبر من أو يساوي",
        "ChooseDate": "اختيار التاريخ",
        "EnterValue": "أدخل القيمة",
        "Copy": "نسخ",
        "Group": "تجميع حسب هذا العمود",
        "Ungroup": "فك تجميع بواسطة هذا العمود",
        "autoFitAll": "احتواء تلقائي لجميع الأعمدة",
        "autoFit": "احتواء تلقائي لهذا العمود",
        "Export": "تصدير",
        "FirstPage": "الصفحة الأولى",
        "LastPage": "آخر صفحة",
        "PreviousPage": "الصفحة السابقة",
        "NextPage": "الصفحة التالية",
        "SortAscending": "فرز تصاعدي",
        "SortDescending": "ترتيب تنازلي",
        "EditRecord": "تحرير السجل",
        "DeleteRecord": "حذف سجل",
        "FilterMenu": "منقي",
        "SelectAll": "اختر الكل",
        "Blanks": "الفراغات",
        "FilterTrue": "صحيح",
        "FilterFalse": "خاطئة",
        "NoResult": "لم يتم العثور على تطابق",
        "ClearFilter": "مرشح واضح",
        "NumberFilter": "عدد المرشحات",
        "TextFilter": "مرشحات النص",
        "DateFilter": "مرشحات التاريخ",
        "DateTimeFilter": "مرشحات DateTime",
        "MatchCase": "حالة مباراة",
        "Between": "ما بين",
        "CustomFilter": "تصفية مخصص",
        "CustomFilterPlaceHolder": "أدخل القيمة",
        "CustomFilterDatePlaceHolder": "اختيار موعد",
        "AND": "و",
        "OR": "أو",
        "ShowRowsWhere": "إظهار الصفوف حيث:",
        "NotStartsWith": "لا تبدأ بـ",
        "Like": "يحب",
        "NotEndsWith": "لا تنتهي ب",
        "NotContains": "لا يحتوي",
        "IsNull": "باطل",
        "NotNull": "غير فارغة",
        "IsEmpty": "فارغ",
        "IsNotEmpty": "ليس فارغًا",
        "AddCurrentSelection": "إضافة التحديد الحالي للتصفية",
        "UnGroupButton": "انقر هنا لفك التجميع",
        "AutoFitAll": "احتواء تلقائي لجميع الأعمدة",
        "AutoFit": "احتواء تلقائي لهذا العمود",
        "Clear": "صافي",
        "FilterMenuDialogARIA": "مربع حوار قائمة التصفية",
        "ExcelFilterDialogARIA": "مربع حوار مرشح Excel",
        "DialogEditARIA": "مربع حوار التحرير",
        "ColumnChooserDialogARIA": "منتقي الأعمدة",
        "ColumnMenuDialogARIA": "مربع حوار قائمة العمود",
        "CustomFilterDialogARIA": "مربع حوار عامل التصفية المخصص",
        "SortAtoZ": "فرز من الألف إلى الياء",
        "SortZtoA": "فرز من Z إلى A",
        "SortByOldest": "فرز حسب الأقدم",
        "SortByNewest": "فرز حسب الأحدث",
        "SortSmallestToLargest": "الفرز من الأصغر إلى الأكبر",
        "SortLargestToSmallest": "الفرز من الأكبر إلى الأصغر",
        "Sort": "فرز",
        "FilterDescription": "اضغط على Alt Down لفتح قائمة التصفية",
        "SortDescription": "اضغط على Enter للفرز",
        "ColumnMenuDescription": "اضغط على Alt لأسفل لفتح قائمة العمود",
        "GroupDescription": "اضغط على مفتاح Ctrl مسافة للمجموعة",
        "ColumnHeader": " رأس العمود ",
        "TemplateCell": " هي خلية قالب",
        "CommandColumnAria": "هو رأس عمود الأمر ",
        "DialogEdit": "تحرير الحوار",
        "ClipBoard": "الحافظة",
        "GroupButton": "زر المجموعة",
        "UnGroupAria": "زر فك التجميع",
        "GroupSeperator": "فاصل للأعمدة المجمعة",
        "UnGroupIcon": "قم بفك تجميع العمود المجمع ",
        "GroupedSortIcon": "قم بفرز العمود المجمع ",
        "GroupedDrag": "اسحب العمود المجمع",
        "GroupCaption": " هي خلية تسمية توضيحية جماعية",
        "CheckBoxLabel": "خانة الاختيار",
        "Expanded": "موسع",
        "Collapsed": "انهار"
      },
      "pager": {
        "currentPageInfo": "{0} من {1} صفحة",
        "totalItemsInfo": "({0} عناصر)",
        "firstPageTooltip": "الذهاب إلى الصفحة الأولى",
        "lastPageTooltip": "الذهاب إلى الصفحة الأخيرة",
        "nextPageTooltip": "انتقل إلى الصفحة التالية",
        "previousPageTooltip": "الانتقال إلى الصفحة السابقة",
        "nextPagerTooltip": "انتقل إلى عناصر بيجر التالية",
        "previousPagerTooltip": "انتقل إلى عناصر بيجر السابقة",
        "pagerDropDown": "مواد لكل صفحة",
        "pagerAllDropDown": "العناصر",
        "All": "الكل",
        "totalItemInfo": "({0} بند)",
        "Container": "حاوية بيجر",
        "Information": "معلومات جهاز النداء",
        "ExternalMsg": "رسالة خارجية بيجر",
        "Page": "صفحة ",
        "Of": " من ",
        "Pages": " الصفحات"
      }
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

See Also

---
layout: post
title: React Grid - Global and Local | Syncfusion
description: React Grid global and local settings define component-level and app-wide configuration, localization, and scope control to ensure consistent grid behavior.
control: Global local 
platform: grid-sdk
documentation: ug
domainurl: https://help.syncfusion.com/grid-sdk
---

# Globalization in React Grid Component

The [React Data Grid](https://www.syncfusion.com/react-components/react-data-grid) component provides a Globalization feature (global and local) that enhances application accessibility for people from different regions and language backgrounds. Data can be displayed in preferred languages and formats, improving the overall user experience.

## Localization

The React Data Grid includes a built-in [Localization](https://ej2.syncfusion.com/react/documentation/common/globalization/localization) library that allows customization of text used in the grid to match different languages or cultural preferences. The library enables changing static text on various elements such as the group drop area and pager information to languages like "Arabic", "German", "French", and more.

Define the [locale](https://ej2.syncfusion.com/react/documentation/api/grid#locale) property and a translation object to configure localized text.

**Data Rendering**

Locale key words |Text | Example 
-----|-----|-----
`EmptyRecord` | No records to display | ![Locale empty record](images/locale-empty-record.png)
`EmptyDataSourceError` | DataSource must not be empty at initial load since columns are generated from dataSource in AutoGenerate Column Grid.

**Columns**

Locale key words |Text | Example 
-----|-----|-----
`True` | true | ![Locale true](images/locale-true.png)
`False` | false | ![Locale false](images/locale-false.png)
`ColumnHeader` | column header  | ![Locale column header](images/locale-column-header.png)
`TemplateCell` | is template cell | ![Locale template cell](images/locale-templatecell.png)
`ClipBoard` | clipboard | ![Locale clipboard](images/locale-clipboard.png)
`CheckBoxLabel` | checkbox | ![Locale checkbox label](images/locale-checkbox-label.png)

**ColumnChooser**

Locale key words |Text | Example 
-----|-----|-----
`Columnchooser` | Columns | ![Locale columnchooser](images/locale-column-chooser.png)
`ChooseColumns` | Choose Column | ![Locale choose columns](images/locale-choose-columns.png)
`ColumnChooserDialogARIA` | Column chooser | ![Locale columnchooser dialog ARIA](images/locale-columnchooser-dialog-ARIA.png)

**Editing**

Locale key words |Text | Example 
-----|-----|-----
`Add` | Add | ![Locale add](images/locale-add.png)
`Edit`| Edit | ![Locale edit](images/locale-edit.png)
`Cancel`| Cancel | ![Locale cancel](images/locale-cancel.png)
`Update`| Update | ![Locale update](images/locale-update.png)
`Delete` | Delete | ![Locale delete](images/locale-delete.png)
`Save` | Save | ![Locale save](images/locale-save.png)
`EditOperationAlert` | No records selected for edit operation | ![Locale edit operation alert](images/locale-edit-operation-alert.png)
`DeleteOperationAlert` | No records selected for delete operation | ![Locale delete operation alert](images/locale-delete-operation-alert.png)
`SaveButton` | Save | ![Locale save button](images/locale-save-button.png)
`OKButton` | OK | ![Locale ok button](images/locale-ok-button.png)
`CancelButton` | Cancel | ![Locale cancel button](images/locale-cancel-button.png)
`EditFormTitle` | Details of | ![Locale edit form title](images/locale-edit-form-title.png)
`AddFormTitle` | Add New Record | ![Locale add form title](images/locale-add-form-title.png)
`BatchSaveConfirm` | Are you sure you want to save changes? | ![Locale batch save confirm](images/locale-batch-save-confirm.png)
`BatchSaveLostChanges` | Unsaved changes will be lost. Are you sure you want to continue? | ![Locale batch save lost changes](images/locale-batch-save-lost-changes.png)
`ConfirmDelete` | Are you sure you want to Delete Record? | ![Locale confirm delete](images/locale-confirm-delete.png)
`CancelEdit` | Are you sure you want to Cancel the changes? | ![Locale cancel edit](images/locale-cancel-edit.png)
`DialogEditARIA` | Edit dialog | 
`CommandColumnAria` | is Command column column header  | ![Locale command column aria](images/locale-command-column-aria.png)
`DialogEdit` | Dialog edit | ![Locale dialog edit](images/locale-dialog-edit.png)

**Grouping**

Locale key words |Text | Example 
-----|-----|-----
`GroupDropArea` | Drag a column header here to group its column | ![Locale group drop area](images/locale-group-drop-area.png)
`UnGroup` | Click here to ungroup | ![Locale un group](images/locale-un-group.png)
`GroupDisable` | Grouping is disabled for this column | ![Locale group disable](images/locale-group-disable.png)
`Item` | item | ![Locale Item](images/locale-item.png)
`Items` | items | ![Locale Items](images/locale-items.png)
`UnGroupButton` | Click here to ungroup |
`GroupDescription` | Press Ctrl space to group | ![Locale group description](images/locale-group-description.png)
`GroupButton` | Group button | ![Locale group button](images/locale-group-button.png)
`UnGroupAria` | ungroup button | ![Locale ungroup aria](images/locale-ungroup-aria.png)
`GroupSeperator` | Separator for the grouped columns | ![Locale group seperator](images/locale-group-seperator.png)
`UnGroupIcon` | ungroup the grouped column  | ![Locale ungroup icon](images/locale-ungroup-icon.png)
`GroupedSortIcon` | sort the grouped column  | ![Locale grouped sort icon](images/locale-grouped-sort-icon.png)
`GroupedDrag` | Drag the grouped column | ![Locale grouped drag](images/locale-grouped-drag.png)
`GroupCaption` | is groupcaption cell | ![Locale group caption](images/locale-group-caption.png)
`Expanded` | Expanded | ![Locale expanded](images/locale-expanded.png)
`Collapsed` | Collapsed | ![Locale collapsed](images/locale-collapsed.png)

**Filtering**

Locale key words |Text | Example 
-----|-----|-----
`InvalidFilterMessage` | Invalid Filter Data
`FilterbarTitle` | Filter bar cell | ![Locale filterbar title](images/locale-filterbar-title.png)
`Matchs` | No Matches Found | ![Locale matchs](images/locale-matchs.png)
`FilterButton` | Filter | ![Locale filter button](images/locale-filter-button.png)
`ClearButton` | Clear | ![Locale clear button](images/locale-clear-button.png)
`StartsWith` | Starts With | ![Locale starts with](images/locale-starts-with.png)
`EndsWith` | Ends With | ![Locale ends with](images/locale-ends-with.png)
`Contains` | Contains | ![Locale contains](images/locale-contains.png)
`Equal` | Equal | ![Locale equal](images/locale-equal.png)
`NotEqual` | Not Equal | ![Locale not equal](images/locale-not-equal.png)
`LessThan` | Less Than | ![Locale less than](images/locale-less-than.png)
`LessThanOrEqual` | Less Than Or Equal | ![Locale less than or equal](images/locale-less-than-or-equal.png)
`GreaterThan` | Greater Than | ![Locale greater than](images/locale-greater-than.png)
`GreaterThanOrEqual` | Greater Than Or Equal | ![Locale greater than or equal](images/locale-greater-than-or-equal.png)
`ChooseDate` | Choose a Date | ![Locale choose date](images/locale-choose-date.png)
`EnterValue` | Enter the value | ![Locale enter value](images/locale-enter-value.png)
`SelectAll` | Select All | ![Locale select all](images/locale-select-all.png)
`Blanks` | Blanks | ![Locale blanks](images/locale-blanks.png)
`FilterTrue` | True | ![Locale filter true](images/locale-filter-true.png)
`FilterFalse` | False | ![Locale filter false](images/locale-filter-false.png)
`NoResult` | No Matches Found | ![Locale no result](images/locale-no-result.png)
`ClearFilter` | Clear Filter | ![Locale clear filter](images/locale-clear-filter.png)
`NumberFilter` | Number Filters | ![Locale number filter](images/locale-number-filter.png)
`TextFilter` | Text Filters | ![Locale text filter](images/locale-text-filter.png)
`DateFilter` | Date Filters | ![Locale date filter](images/locale-date-filter.png)
`DateTimeFilter` | DateTime Filters | ![Locale date time filter](images/locale-date-time-filter.png)
`MatchCase` | Match Case | ![Locale match case](images/locale-match-case.png)
`Between` | Between | ![Locale between](images/locale-between.png)
`CustomFilter` | Custom Filter | ![Locale custom filter](images/locale-custom-filter.png)
`CustomFilterPlaceHolder` | Enter the value | ![Locale custom filter placeholder](images/locale-custom-filter-placeholder.png)
`CustomFilterDatePlaceHolder` | Choose a date | ![Locale custom filter date placeholder](images/locale-custom-filter-date-placeholder.png)
`AND` | AND | ![Locale AND](images/locale-AND.png)
`OR` | OR | ![Locale OR](images/locale-OR.png)
`ShowRowsWhere` | Show rows where: | ![Locale show rows where](images/locale-show-rows-where.png)
`NotStartsWith` | Does Not Start With | ![Locale not starts with](images/locale-not-starts-with.png)
`Like` | Like | ![Locale like](images/locale-like.png)
`NotEndsWith` | Does Not End With | ![Locale not ends with](images/locale-not-ends-with.png)
`NotContains` | Does Not Contain | ![Locale not contains](images/locale-not-contains.png)
`IsNull` | Null | ![Locale is null](images/locale-is-null.png)
`NotNull` | Not Null | ![Locale not null](images/locale-not-null.png)
`IsEmpty` | Empty | ![Locale is empty](images/locale-is-empty.png)
`IsNotEmpty` | Not Empty | ![Locale is not empty](images/locale-is-not-empty.png)
`AddCurrentSelection` | Add current selection to filter | ![Locale add current selection](images/locale-add-current-selection.png)
`FilterMenuDialogARIA` | Filter menu dialog | ![Locale filter menu dialog ARIA](images/locale-filter-menu-dialog-ARIA.png)
`ExcelFilterDialogARIA` | Excel filter dialog | ![Locale excel menu dialog ARIA](images/locale-excel-menu-dialog-ARIA.png)
`CustomFilterDialogARIA` | Custom filter dialog | ![Locale Custom filter dialog ARIA](images/locale-custom-filter-dialog-ARIA.png)
`SortAtoZ` | Sort A to Z | ![Locale sort AtoZ](images/locale-sortAtoZ.png)
`SortZtoA` | Sort Z to A | ![Locale sort ZtoA](images/locale-sortZtoA.png)
`SortByOldest` | Sort by Oldest | ![Locale sort by oldest](images/locale-sort-by-oldest.png)
`SortByNewest` | Sort by Newest | ![Locale sort by newest](images/locale-sort-by-newest.png)
`SortSmallestToLargest` | Sort Smallest to Largest | ![Locale sort smallest to largest](images/locale-sort-smallest-to-largest.png)
`SortLargestToSmallest` | Sort Largest to Smallest | ![Locale sort largest to smallest](images/locale-sort-largest-to-smallest.png)
`FilterDescription` | Press Alt Down to open filter Menu | ![Locale filter description](images/locale-filter-description.png)

**Searching**

Locale key words |Text | Example 
-----|-----|-----
`Search` | Search | ![Locale search](images/locale-search.png)
`SearchColumns` | search columns
`Clear` | Clear | ![Locale clear](images/locale-clear.png)

**Sorting**

Locale key words |Text | Example 
-----|-----|-----
`Sort` | Sort | ![Locale sort](images/locale-sort.png)
`SortDescription` | Press Enter to sort | ![Locale sort description](images/locale-sort-description.png)

**Toolbar**

Locale key words |Text | Example 
-----|-----|-----
`Print` | Print | ![Locale print](images/locale-print.png)
`Pdfexport` | PDF Export | ![Locale pdfexport](images/locale-pdfexport.png)
`Excelexport` | Excel Export | ![Locale excelexport](images/locale-excelexport.png)
`Csvexport` | CSV Export | ![Locale csvexport](images/locale-csvexport.png)

**ColumnMenu**

Locale key words |Text | Example 
-----|-----|-----
`FilterMenu` | Filter | ![Locale filter menu](images/locale-filter-menu.png)
`AutoFitAll` | Autofit all columns |
`AutoFit` | Autofit this column |
`ColumnMenuDialogARIA` | Column menu dialog | ![Locale columnmenu dialog ARIA](images/locale-columnmenu-dialog-ARIA.png)
`ColumnMenuDescription` | Press Alt Down to open Column Menu | ![Locale columnmenu description](images/locale-columnmenu-description.png)

**ContextMenu**

Locale key words |Text | Example 
-----|-----|-----
`Copy` | Copy | ![Locale copy](images/locale-copy.png)
`Group` | Group by this column | ![Locale group](images/locale-group.png)
`Ungroup` | Ungroup by this column | ![Locale ungroup](images/locale-ungroup.png)
`autoFitAll` | Auto Fit all columns | ![Locale autofit all](images/locale-autofit-all.png)
`autoFit` | Auto Fit this column | ![Locale autofit](images/locale-autofit.png)
`Export` | Export | ![Locale export](images/locale-export.png)
`FirstPage` | First Page | ![Locale first page](images/locale-first-page.png)
`LastPage` | Last Page | ![Locale last page](images/locale-last-page.png)
`PreviousPage` | Previous Page | ![Locale previous page](images/locale-previous-page.png)
`NextPage` | Next Page | ![Locale next page](images/locale-next-page.png)
`SortAscending` | Sort Ascending | ![Locale sort ascending](images/locale-sort-ascending.png)
`SortDescending` | Sort Descending | ![Locale sort descending](images/locale-sort-descending.png)
`EditRecord` | Edit Record | ![Locale edit record](images/locale-edit-record.png)
`DeleteRecord` | Delete Record | ![Locale delete record](images/locale-delete-record.png)

**Pager**

Locale key words |Text | Example 
-----|-----|-----
`currentPageInfo` | {0} of {1} pages | ![Locale current page info](images/locale-current-page-info.png)
`totalItemsInfo` | ({0} items) | ![Locale total items info](images/locale-total-items-info.png)
`firstPageTooltip` | Go to first page | ![Locale first page tooltip](images/locale-first-page-tooltip.png)
`lastPageTooltip` | Go to last page | ![Locale last page tooltip](images/locale-last-page-tooltip.png)
`nextPageTooltip` | Go to next page | ![Locale next page tooltip](images/locale-next-page-tooltip.png)
`previousPageTooltip` | Go to previous page | ![Locale previous page tooltip](images/locale-previous-page-tooltip.png)
`nextPagerTooltip` | Go to next pager items | ![Locale next pager tooltip](images/locale-next-pager-tooltip.png)
`previousPagerTooltip` | Go to previous pager items | ![Locale previous pager tooltip](images/locale-previous-pager-tooltip.png)
`pagerDropDown` | Items per page | ![Locale pager drop down](images/locale-pager-drop-down.png)
`pagerAllDropDown` | Items | ![Locale pager all drop down](images/locale-pager-all-drop-down.png)
`All` | All | ![Locale pager all](images/locale-pager-all.png)
`totalItemInfo` | ({0} item) | ![Locale total item info](images/locale-pager-total-item-info.png)
`Container` | Pager Container | ![Locale pager container](images/locale-pager-container.png)
`Information` | Pager Information |
`ExternalMsg` | Pager external message | ![Locale pager external msg](images/locale-pager-external-msg.png)
`Page` | Page  |
`Of `|  of  | ![Locale pager of](images/locale-pager-of.png)
`Pages` |  Pages |

### Loading translations for de culture

The built-in localization library supports loading translation objects for different cultures. Using the `L10n.load` function customizes the Grid's text content for different languages.

This enables specifying translation objects for specific cultures, such as "German (de)", allowing the Grid’s content to be displayed in the selected language.

**TypeScript settings for loading CLDR JSON files**

Follow the steps below to enable proper loading of CLDR JSON files(used for internationalization) in TypeScript:

1. Open **tsconfig.json** file.
2. Inside `compilerOptions` set both `resolveJsonModule` and `esModuleInterop` to `true`.

```ts
{
  compilerOptions: {
    resolveJsonModule: true,
    esModuleInterop: true,
  }
}
```

The following example demonstrates loading a translation object for "German (de)" by using `L10n.load` from the `ej2-base` module and setting the `locale` to "de-DE".

{% tabs %}
{% highlight js tabtitle="App.jsx" %}
{% include code-snippet/grid-sdk/react/data-grid/locale-cs1/app/App.jsx %}
{% endhighlight %}
{% highlight ts tabtitle="App.tsx" %}
{% include code-snippet/grid-sdk/react/data-grid/locale-cs1/app/App.tsx %}
{% endhighlight %}
{% highlight js tabtitle="locale.json" %}
{% include code-snippet/grid-sdk/react/data-grid/locale-cs1/app/locale.json %}
{% endhighlight %}
{% highlight js tabtitle="datasource.jsx" %}
{% include code-snippet/grid-sdk/react/data-grid/locale-cs1/app/datasource.jsx %}
{% endhighlight %}
{% highlight ts tabtitle="datasource.tsx" %}
{% include code-snippet/grid-sdk/react/data-grid/locale-cs1/app/datasource.tsx %}
{% endhighlight %}
{% endtabs %}

 {% previewsample "https://help.syncfusion.com/code-snippet/grid-sdk/react/data-grid/locale-cs1" %}

### Loading translations for fr culture 

Translation loading enables specifying translation objects for different cultures such as "German", "Arabic", and "French" so the grid displays content in the chosen language.

Please verify that JSON module support is enabled in **tsconfig.json** as mentioned earlier in this guide.

The following example demonstrates loading a translation object for "French (fr)" by setting the `locale` to "fr-FR" and using `L10n.load` from the `ej2-base` module.

{% tabs %}
{% highlight js tabtitle="App.jsx" %}
{% include code-snippet/grid-sdk/react/data-grid/locale-cs3/app/App.jsx %}
{% endhighlight %}
{% highlight ts tabtitle="App.tsx" %}
{% include code-snippet/grid-sdk/react/data-grid/locale-cs3/app/App.tsx %}
{% endhighlight %}
{% highlight js tabtitle="locale.json" %}
{% include code-snippet/grid-sdk/react/data-grid/locale-cs3/app/locale.json %}
{% endhighlight %}
{% highlight js tabtitle="datasource.jsx" %}
{% include code-snippet/grid-sdk/react/data-grid/locale-cs3/app/datasource.jsx %}
{% endhighlight %}
{% highlight ts tabtitle="datasource.tsx" %}
{% include code-snippet/grid-sdk/react/data-grid/locale-cs3/app/datasource.tsx %}
{% endhighlight %}
{% endtabs %}

 {% previewsample "https://help.syncfusion.com/code-snippet/grid-sdk/react/data-grid/locale-cs3" %}

### Switch the different localization

The React Data Grid supports switching localization between cultures, allowing dynamic changes based on application requirements.

Switching localization requires the following steps:

**Step 1:** Please verify that JSON module support is enabled in **tsconfig.json** as mentioned earlier in this [guide](#loading-translations-for-de-culture).

**Step 2:** Import and load the required CLDR (Common Locale Data Repository) data for the desired culture using the `loadCldr` function.

```ts
loadCldr(
    cagregorian,
    currencies,
    numbers,
    timeZoneNames,
    numberingSystems
);
```

**Step 3:** Change the default culture and currency code using the `setCulture` and `setCurrencyCode` methods.

An example demonstrates switching to the "French" culture and setting the currency code to "EUR" via external button clicks. 

{% tabs %}
{% highlight js tabtitle="App.jsx" %}
{% raw %}
import { ColumnDirective, ColumnsDirective, GridComponent, Inject, Page } from '@syncfusion/ej2-react-grids';
import { L10n, loadCldr, setCulture, setCurrencyCode } from '@syncfusion/ej2-base';
import * as React from 'react';
import frFRLocalization from './locale.json';
import cagregorian from './ca-gregorian.json';
import currencies from './currencies.json';
import numbers from './numbers.json';
import timeZoneNames from './timeZoneNames.json';
import numberingSystems from './numberingSystems.json'
import { data } from './datasource';
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';

L10n.load(frFRLocalization);

function App() {
  setCulture('fr-FR'); // Change the Grid culture
  setCurrencyCode('EUR');
  loadCldr(
    cagregorian,
    currencies,
    numbers,
    timeZoneNames,
    numberingSystems
  );
  const pageOptions = { pageSize: 6 };
  const changeFrLocale = () => {
    setCulture('fr-FR'); // Change the Grid culture to French locale
    setCurrencyCode('EUR'); // Change the currency code based on French culture
  }
  const changeEnLocale = () => {
    setCulture('en-US'); // Change the Grid culture to English locale
    setCurrencyCode('USD'); // Change the currency code based on Americal English culture
  }
  return (<div>
    <ButtonComponent cssClass='e-outline' id='frButton' onClick={changeFrLocale}>Change FR Locale</ButtonComponent>
    <ButtonComponent cssClass='e-outline' id='enButton' style={{ marginLeft: "10px" }} onClick={changeEnLocale}>Change EN Locale</ButtonComponent>
    <GridComponent dataSource={data} allowPaging={true} pageSettings={pageOptions} >
      <ColumnsDirective>
        <ColumnDirective field='OrderID' headerText='Order ID' width='120' textAlign="Right" />
        <ColumnDirective field='CustomerID' headerText='Customer ID' width='150' />
        <ColumnDirective field='Freight' headerText='Freight' width='150' format='C2' textAlign="Right" />
        <ColumnDirective field='ShipCountry' headerText='Ship Country' width='150' />
      </ColumnsDirective>
      <Inject services={[Page]} />
    </GridComponent></div>)
};
export default App;
{% endraw %}
{% endhighlight %}
{% highlight ts tabtitle="App.tsx" %}
{% raw %}
import { ColumnDirective, ColumnsDirective, GridComponent, Inject, Page, PageSettingsModel } from '@syncfusion/ej2-react-grids';
import { L10n, loadCldr, setCulture, setCurrencyCode } from '@syncfusion/ej2-base';
import * as React from 'react';
import frFRLocalization from './locale.json';
import cagregorian from './ca-gregorian.json';
import currencies from './currencies.json';
import numbers from './numbers.json';
import timeZoneNames from './timeZoneNames.json';
import numberingSystems from './numberingSystems.json'
import { data } from './datasource';
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';

L10n.load(frFRLocalization);

function App() {
  setCulture('fr-FR'); // Change the Grid culture
  setCurrencyCode('EUR');
  loadCldr(
    cagregorian,
    currencies,
    numbers,
    timeZoneNames,
    numberingSystems
  );
  const pageOptions: PageSettingsModel = { pageSize: 6 };
  const changeFrLocale = () => {
    setCulture('fr-FR'); // Change the Grid culture to French locale
    setCurrencyCode('EUR'); // Change the currency code based on French culture
  }
  const changeEnLocale = () => {
    setCulture('en-US'); // Change the Grid culture to English locale
    setCurrencyCode('USD'); // Change the currency code based on Americal English culture
  }
  return (<div>
    <ButtonComponent cssClass='e-outline' id='frButton' onClick={changeFrLocale}>Change FR Locale</ButtonComponent>
    <ButtonComponent cssClass='e-outline' id='enButton' style={{ marginLeft: "10px" }} onClick={changeEnLocale}>Change EN Locale</ButtonComponent>
    <GridComponent dataSource={data} allowPaging={true} pageSettings={pageOptions} >
      <ColumnsDirective>
        <ColumnDirective field='OrderID' headerText='Order ID' width='120' textAlign="Right" />
        <ColumnDirective field='CustomerID' headerText='Customer ID' width='150' />
        <ColumnDirective field='Freight' headerText='Freight' width='150' format='C2' textAlign="Right" />
        <ColumnDirective field='ShipCountry' headerText='Ship Country' width='150' />
      </ColumnsDirective>
      <Inject services={[Page]} />
    </GridComponent></div>)
};
export default App;
{% endraw %}
{% endhighlight %}
{% highlight js tabtitle="locale.json" %}
{% include code-snippet/grid-sdk/react/data-grid/locale-cs4/app/locale.json %}
{% endhighlight %}
{% highlight js tabtitle="datasource.jsx" %}
{% include code-snippet/grid-sdk/react/data-grid/locale-cs4/app/datasource.jsx %}
{% endhighlight %}
{% highlight ts tabtitle="datasource.tsx" %}
{% include code-snippet/grid-sdk/react/data-grid/locale-cs4/app/datasource.tsx %}
{% endhighlight %}
{% endtabs %}

 {% previewsample "https://help.syncfusion.com/code-snippet/grid-sdk/react/data-grid/locale-cs4" %}

### Set different locale text for two Grids in same page

The React Data Grid allows configuring different [locale](https://ej2.syncfusion.com/react/documentation/api/grid#locale) settings for multiple Grids displayed on the same page. By using the `L10n.load` function to define translations for specific languages so each Grid applies the appropriate localized text for headers, toolbar items, and action buttons.

For example, one Grid can use the "fr-FR" locale to display "French" text, while another Grid uses "en-US" and keeps the default "English" text. This shows that each Grid can have its own localization without affecting the others

{% tabs %}
{% highlight js tabtitle="App.jsx" %}
{% include code-snippet/grid-sdk/react/data-grid/locale-cs5/app/App.jsx %}
{% endhighlight %}

{% highlight ts tabtitle="App.tsx" %}
{% include code-snippet/grid-sdk/react/data-grid/locale-cs5/app/App.tsx %}
{% endhighlight %}

{% highlight js tabtitle="locale.json" %}
{% include code-snippet/grid-sdk/react/data-grid/locale-cs5/app/locale.json %}
{% endhighlight %}

{% highlight js tabtitle="datasource.jsx" %}
{% include code-snippet/grid-sdk/react/data-grid/locale-cs5/app/datasource.jsx %}
{% endhighlight %}

{% highlight ts tabtitle="datasource.tsx" %}
{% include code-snippet/grid-sdk/react/data-grid/locale-cs5/app/datasource.tsx %}
{% endhighlight %}
{% endtabs %}

{% previewsample "https://help.syncfusion.com/code-snippet/grid-sdk/react/data-grid/locale-cs5" %}

## Internationalization

The [Internationalization](https://ej2.syncfusion.com/react/documentation/common/globalization/internationalization) library provides localized formatting for number, date, and time values in the Grid based on language and region.

`Internationalization` enables globalization of number, date, and time values using format strings defined in the [format](https://ej2.syncfusion.com/react/documentation/api/grid/column#format) property.

Please verify that JSON module support is enabled in **tsconfig.json** as mentioned earlier in this [guide](#loading-translations-for-de-culture).

This ensures that the Grid component uses the correct format strings for number, date, and time values based on the selected culture.

{% tabs %}
{% highlight js tabtitle="App.jsx" %}
{% include code-snippet/grid-sdk/react/data-grid/internationalization-cs1/app/App.jsx %}
{% endhighlight %}
{% highlight ts tabtitle="App.tsx" %}
{% include code-snippet/grid-sdk/react/data-grid/internationalization-cs1/app/App.tsx %}
{% endhighlight %}
{% highlight js tabtitle="datasource.jsx" %}
{% include code-snippet/grid-sdk/react/data-grid/internationalization-cs1/app/datasource.jsx %}
{% endhighlight %}
{% highlight ts tabtitle="datasource.tsx" %}
{% include code-snippet/grid-sdk/react/data-grid/internationalization-cs1/app/datasource.tsx %}
{% endhighlight %}
{% endtabs %}

 {% previewsample "https://help.syncfusion.com/code-snippet/grid-sdk/react/data-grid/internationalization-cs1" %}


> * In the above sample, the "Freight" column is formatted using [NumberFormatOptions](https://ej2.syncfusion.com/react/documentation/common/globalization/internationalization#manipulating-numbers).
> * By default, the [locale](https://ej2.syncfusion.com/react/documentation/api/grid#locale) value is "en-US". Change the `locale` property to use a different culture.

## Right to Left - RTL

The Right-to-Left (RTL) feature switches text direction and layout from left-to-right to right-to-left. This feature is especially beneficial for interacting with the grid in languages that are written and read from right to left, such as "Arabic", "Farsi", "Urdu", and others. Enabling RTL significantly improves the experience and accessibility for such languages.

Enable RTL by setting the [enableRtl](https://ej2.syncfusion.com/react/documentation/api/grid#enablertl) property to `true`. This adjusts the Grid's text direction and layout for right-to-left languages.

Please verify that JSON module support is enabled in **tsconfig.json** as mentioned earlier in this [guide](#loading-translations-for-de-culture).

The example below adds an [EJ2 Toggle Switch Button](https://ej2.syncfusion.com/react/documentation/switch/getting-started) to enable or disable RTL for the "Arabic (ar-AE)" locale. When toggled, the [change](https://ej2.syncfusion.com/react/documentation/api/switch/index-default#change) event updates the grid's `enableRtl` property.

{% tabs %}
{% highlight js tabtitle="App.jsx" %}
{% raw %}
import { ColumnChooser, ColumnDirective, ColumnMenu, ColumnsDirective, Edit, GridComponent, Group, Inject, Page, Sort, Toolbar, Filter, Reorder } from '@syncfusion/ej2-react-grids';
import { L10n } from '@syncfusion/ej2-base';
import * as React from 'react';
import arAELocalization from './locale.json';
import { data } from './datasource';
import { SwitchComponent } from '@syncfusion/ej2-react-buttons';

L10n.load(arAELocalization);
function App() {
  let grid;
  const editSettings = { allowAdding: true, allowDeleting: true, allowEditing: true, mode: 'Normal' };
  const toolbar = ['Add', 'Edit', 'Delete', 'Update', 'Cancel'];
  const pageOptions = { pageSize: 7 };
  const changeRTL = (args) => {
    grid.enableRtl = !args.checked;
  }
  return (<div>
    <label style={{ padding: "10px 10px" }}>Enable or diable RTL mode</label>
    <SwitchComponent change={changeRTL}></SwitchComponent>
    <GridComponent ref={g => grid = g} dataSource={data} locale='ar-AE' allowPaging={true} pageSettings={pageOptions} allowGrouping={true} allowSorting={true} allowReordering={true}
      allowFiltering={true} editSettings={editSettings} toolbar={toolbar} enableRtl={true} showColumnChooser={true} showColumnMenu={true}>
      <ColumnsDirective>
        <ColumnDirective field='OrderID' headerText='Order ID' width='120' textAlign="Right" />
        <ColumnDirective field='CustomerID' headerText='Customer ID' width='150' />
        <ColumnDirective field='ShipCity' headerText='Ship City' width='150' />
        <ColumnDirective field='ShipName' headerText='Ship Name' width='150' />
      </ColumnsDirective>
      <Inject services={[Page, Group, Sort, Toolbar, Filter, Edit, ColumnChooser, ColumnMenu, Reorder]} />
    </GridComponent></div>)
};
export default App;
{% endraw %}
{% endhighlight %}
{% highlight ts tabtitle="App.tsx" %}
{% raw %}
import { ColumnChooser, ColumnDirective, ColumnMenu, ColumnsDirective, Edit, EditSettingsModel, GridComponent, Group, Inject, Page, PageSettingsModel, Sort, ToolbarItems, Toolbar, Filter, Reorder } from '@syncfusion/ej2-react-grids';
import { L10n } from '@syncfusion/ej2-base';
import * as React from 'react';
import arAELocalization from './locale.json';
import { data } from './datasource';
import { ChangeEventArgs, SwitchComponent } from '@syncfusion/ej2-react-buttons';

L10n.load(arAELocalization);
function App() {
  let grid: GridComponent | null;
  const editSettings: EditSettingsModel = { allowAdding: true, allowDeleting: true, allowEditing: true, mode: 'Normal' };
  const toolbar: ToolbarItems[] = ['Add', 'Edit', 'Delete', 'Update', 'Cancel'];
  const pageOptions: PageSettingsModel = { pageSize: 7 };
  const changeRTL = (args: ChangeEventArgs) => {
    (grid as GridComponent).enableRtl = !args.checked;
  }
  return (<div>
    <label style={{ padding: "10px 10px" }}>Enable or disable RTL mode</label>
    <SwitchComponent change={changeRTL}></SwitchComponent>
    <GridComponent ref={g => grid = g} dataSource={data} locale='ar-AE' allowPaging={true} pageSettings={pageOptions} allowGrouping={true} allowSorting={true} allowReordering={true}
      allowFiltering={true} editSettings={editSettings} toolbar={toolbar} enableRtl={true} showColumnChooser={true} showColumnMenu={true}>
      <ColumnsDirective>
        <ColumnDirective field='OrderID' headerText='Order ID' width='120' textAlign="Right" />
        <ColumnDirective field='CustomerID' headerText='Customer ID' width='150' />
        <ColumnDirective field='ShipCity' headerText='Ship City' width='150' />
        <ColumnDirective field='ShipName' headerText='Ship Name' width='150' />
      </ColumnsDirective>
      <Inject services={[Page, Group, Sort, Toolbar, Filter, Edit, ColumnChooser, ColumnMenu, Reorder]} />
    </GridComponent></div>)
};
export default App;
{% endraw %}
{% endhighlight %}
{% highlight js tabtitle="locale.json" %}
{% include code-snippet/grid-sdk/react/data-grid/locale-cs2/app/locale.json %}
{% endhighlight %}
{% highlight js tabtitle="datasource.jsx" %}
{% include code-snippet/grid-sdk/react/data-grid/locale-cs2/app/datasource.jsx %}
{% endhighlight %}
{% highlight ts tabtitle="datasource.tsx" %}
{% include code-snippet/grid-sdk/react/data-grid/locale-cs2/app/datasource.tsx %}
{% endhighlight %}
{% endtabs %}

 {% previewsample "https://help.syncfusion.com/code-snippet/grid-sdk/react/data-grid/locale-cs2" %}

## See also

* [Internationalization](https://ej2.syncfusion.com/react/documentation/common/globalization/internationalization)
* [Localization](https://ej2.syncfusion.com/react/documentation/common/globalization/localization)

Global local in Vue Grid component

The Vue Data Grid component provides a feature known as Globalization (global and local), which makes the application more accessible and useful for individuals from different regions and language backgrounds. You have the ability to view data in your preferred language and format, resulting in an enhanced overall experience.

Localization

The Vue Data Grid provides a built-in Localization library, enabling you to customize the text used in the grid to suit different languages or cultural preferences. With this library, you can change static text on various elements, such as group drop area text and pager information text, to different cultures, such as Arabic, Deutsch, French, and more.

This can be achieved by defining the locale property and translation object.

The following list of properties and its values are used in the grid.

Data Rendering

Locale key words Text Example
EmptyRecord No records to display Locale empty record
EmptyDataSourceError DataSource must not be empty at initial load since columns are generated from dataSource in AutoGenerate Column Grid  

Columns

Locale key words Text Example
True true Locale true
False false Locale false
ColumnHeader column header Locale column header
TemplateCell is template cell Locale template cell
ClipBoard clipboard Locale clipboard
CheckBoxLabel checkbox Locale checkbox label

ColumnChooser

Locale key words Text Example
Columnchooser Columns Locale columnchooser
ChooseColumns Choose Column Locale choose columns
ColumnChooserDialogARIA Column chooser Locale columnchooser dialog ARIA

Editing

Locale key words Text Example
Add Add Locale add
Edit Edit Locale edit
Cancel Cancel Locale cancel
Update Update Locale update
Delete Delete Locale delete
Save Save Locale save
EditOperationAlert No records selected for edit operation Locale edit operation alert
DeleteOperationAlert No records selected for delete operation Locale delete operation alert
SaveButton Save Locale save button
OKButton OK Locale ok button
CancelButton Cancel Locale cancel button
EditFormTitle Details of Locale edit form title
AddFormTitle Add New Record Locale add form title
BatchSaveConfirm Are you sure you want to save changes? Locale batch save confirm
BatchSaveLostChanges Unsaved changes will be lost. Are you sure you want to continue? Locale batch save lost changes
ConfirmDelete Are you sure you want to Delete Record? Locale confirm delete
CancelEdit Are you sure you want to Cancel the changes? Locale cancel edit
DialogEditARIA Edit dialog  
CommandColumnAria is Command column column header Locale command column aria
DialogEdit Dialog edit Locale dialog edit

Grouping

Locale key words Text Example
GroupDropArea Drag a column header here to group its column Locale group drop area
UnGroup Click here to ungroup Locale un group
GroupDisable Grouping is disabled for this column Locale group disable
Item item Locale Item
Items items Locale Items
UnGroupButton Click here to ungroup  
GroupDescription Press Ctrl space to group Locale group description
GroupButton Group button Locale group button
UnGroupAria ungroup button Locale ungroup aria
GroupSeperator Separator for the grouped columns Locale group seperator
UnGroupIcon ungroup the grouped column Locale ungroup icon
GroupedSortIcon sort the grouped column Locale grouped sort icon
GroupedDrag Drag the grouped column Locale grouped drag
GroupCaption is groupcaption cell Locale group caption
Expanded Expanded Locale expanded
Collapsed Collapsed Locale collapsed

Filtering

Locale key words Text Example
InvalidFilterMessage Invalid Filter Data  
FilterbarTitle \s filter bar cell Locale filterbar title
Matchs No Matches Found Locale matchs
FilterButton Filter Locale filter button
ClearButton Clear Locale clear button
StartsWith Starts With Locale starts with
EndsWith Ends With Locale ends with
Contains Contains Locale contains
Equal Equal Locale equal
NotEqual Not Equal Locale not equal
LessThan Less Than Locale less than
LessThanOrEqual Less Than Or Equal Locale less than or equal
GreaterThan Greater Than Locale greater than
GreaterThanOrEqual Greater Than Or Equal Locale greater than or equal
ChooseDate Choose a Date Locale choose date
EnterValue Enter the value Locale enter value
SelectAll Select All Locale select all
Blanks Blanks Locale blanks
FilterTrue True Locale filter true
FilterFalse False Locale filter false
NoResult No Matches Found Locale no result
ClearFilter Clear Filter Locale clear filter
NumberFilter Number Filters Locale number filter
TextFilter Text Filters Locale text filter
DateFilter Date Filters Locale date filter
DateTimeFilter DateTime Filters Locale date time filter
MatchCase Match Case Locale match case
Between Between Locale between
CustomFilter Custom Filter Locale custom filter
CustomFilterPlaceHolder Enter the value Locale custom filter placeholder
CustomFilterDatePlaceHolder Choose a date Locale custom filter date placeholder
AND AND Locale AND
OR OR Locale OR
ShowRowsWhere Show rows where: Locale show rows where
NotStartsWith Does Not Start With Locale not starts with
Like Like Locale like
NotEndsWith Does Not End With Locale not ends with
NotContains Does Not Contain Locale not contains
IsNull Null Locale is null
NotNull Not Null Locale not null
IsEmpty Empty Locale is empty
IsNotEmpty Not Empty Locale is not empty
AddCurrentSelection Add current selection to filter Locale add current selection
FilterMenuDialogARIA Filter menu dialog Locale filter menu dialog ARIA
ExcelFilterDialogARIA Excel filter dialog Locale excel menu dialog ARIA
CustomFilterDialogARIA Custom filter dialog Locale Custom filter dialog ARIA
SortAtoZ Sort A to Z Locale sort AtoZ
SortZtoA Sort Z to A Locale sort ZtoA
SortByOldest Sort by Oldest Locale sort by oldest
SortByNewest Sort by Newest Locale sort by newest
SortSmallestToLargest Sort Smallest to Largest Locale sort smallest to largest
SortLargestToSmallest Sort Largest to Smallest Locale sort largest to smallest
FilterDescription Press Alt Down to open filter Menu Locale filter description

Searching

Locale key words Text Example
Search Search Locale search
SearchColumns search columns  
Clear Clear Locale clear

Sorting

Locale key words Text Example
Sort Sort Locale sort
SortDescription Press Enter to sort Locale sort description

Toolbar

Locale key words Text Example
Print Print Locale print
Pdfexport PDF Export Locale pdfexport
Excelexport Excel Export Locale excelexport
Csvexport CSV Export Locale csvexport

ColumnMenu

Locale key words Text Example
FilterMenu Filter Locale filter menu
AutoFitAll Autofit all columns  
AutoFit Autofit this column  
ColumnMenuDialogARIA Column menu dialog Locale columnmenu dialog ARIA
ColumnMenuDescription Press Alt Down to open Column Menu Locale columnmenu description

ContextMenu

Locale key words Text Example
Copy Copy Locale copy
Group Group by this column Locale group
Ungroup Ungroup by this column Locale ungroup
autoFitAll Auto Fit all columns Locale autofit all
autoFit Auto Fit this column Locale autofit
Export Export Locale export
FirstPage First Page Locale first page
LastPage Last Page Locale last page
PreviousPage Previous Page Locale previous page
NextPage Next Page Locale next page
SortAscending Sort Ascending Locale sort ascending
SortDescending Sort Descending Locale sort descending
EditRecord Edit Record Locale edit record
DeleteRecord Delete Record Locale delete record

Pager

Locale key words Text Example
currentPageInfo {0} of {1} pages Locale current page info
totalItemsInfo ({0} items) Locale total items info
firstPageTooltip Go to first page Locale first page tooltip
lastPageTooltip Go to last page Locale last page tooltip
nextPageTooltip Go to next page Locale next page tooltip
previousPageTooltip Go to previous page Locale previous page tooltip
nextPagerTooltip Go to next pager items Locale next pager tooltip
previousPagerTooltip Go to previous pager items Locale previous pager tooltip
pagerDropDown Items per page Locale pager drop down
pagerAllDropDown Items Locale pager all drop down
All All Locale pager all
totalItemInfo ({0} item) Locale total item info
Container Pager Container Locale pager container
Information Pager Information  
ExternalMsg Pager external message Locale pager external msg
Page Page  
Of of Locale pager of
Pages Pages  

Loading translations for de culture

The Vue Data Grid component provides a built-in Localization library that allows you to load translation objects for different cultures. By using the load function of the L10n class, you can customize the text content of the Grid to be displayed in different languages.

This feature allows you to specify translation objects for specific cultures, such as Deutsch (German), and display the Grid’s content in the desired language.

The following example demonstrates how to load a translation object for Deutsch (de) culture, by using the load function of L10n class from the ej2-base module and by defining the locale to de-DE.

<template>
  <div id="app">
    <ejs-grid :dataSource='data' locale='de-DE' :allowGrouping='true' :allowPaging='true' :pageSettings='pageOptions'
      height='220px'>
      <e-columns>
        <e-column field='OrderID' headerText='Order ID' textAlign='Right' width=90></e-column>
        <e-column field='CustomerID' headerText='Customer ID' width=100></e-column>
        <e-column field='ShipCity' headerText='Ship City' width=100></e-column>
        <e-column field='ShipName' headerText='Ship Name' width=120></e-column>
      </e-columns>
    </ejs-grid>
  </div>
</template>

<script setup>
import { provide } from "vue";
import { L10n } from '@syncfusion/ej2-base';
import { GridComponent as EjsGrid, ColumnDirective as EColumn, ColumnsDirective as EColumns, Page, Group } from "@syncfusion/ej2-vue-grids";
import deDELocalization from './locale.json';
import { data } from './datasource.js';

L10n.load(deDELocalization);
const pageOptions = { pageSize: 7 };
provide('grid', [Page, Group]);
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-calendars/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-dropdowns/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-inputs/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-navigations/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-popups/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-splitbuttons/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-vue-grids/styles/material3.css";
</style>
<template>
  <div id="app">
    <ejs-grid :dataSource='data' locale='de-DE' :allowGrouping='true' :allowPaging='true' :pageSettings='pageOptions' height='220px'>
      <e-columns>
        <e-column field='OrderID' headerText='Order ID' textAlign='Right' width=90></e-column>
        <e-column field='CustomerID' headerText='Customer ID' width=100></e-column>
        <e-column field='ShipCity' headerText='Ship City' width=100></e-column>
        <e-column field='ShipName' headerText='Ship Name' width=120></e-column>
      </e-columns>
    </ejs-grid>
  </div>
</template>

<script>

import { L10n } from '@syncfusion/ej2-base';
import { GridComponent, ColumnsDirective, ColumnDirective, Page, Group } from "@syncfusion/ej2-vue-grids";
import deDELocalization from './locale.json';
import { data } from './datasource.js';
L10n.load(deDELocalization);
export default {
name: "App",
components: {
"ejs-grid":GridComponent,
"e-columns":ColumnsDirective,
"e-column":ColumnDirective
},
  data() {
    return {
      data: data,
      pageOptions: { pageSize: 7 }
    };
  },
  provide: {
    grid: [Page, Group]
  }
}
</script>
<style>
  @import "../node_modules/@syncfusion/ej2-base/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-buttons/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-calendars/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-dropdowns/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-inputs/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-navigations/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-popups/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-splitbuttons/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-vue-grids/styles/material3.css";
</style>

Loading translations for fr culture

The Loading translations feature allows you to specify translation objects for different cultures, such as Deutsch, Arabic, French and display the Grid’s content in the desired language.

The following example demonstrates how to load a translation object for French (fr) culture, by defining the locale to fr-FR and by using the load function of L10n class from the ej2-base module.

<template>
  <div id="app">
    <ejs-grid :dataSource='data' locale='fr-FR' :allowGrouping='true' :allowPaging='true' :editSettings='editSettings'
      :toolbar='toolbar' :pageSettings='pageOptions' height='220px'>
      <e-columns>
        <e-column field='OrderID' headerText='Order ID' textAlign='Right' width=90></e-column>
        <e-column field='CustomerID' headerText='Customer ID' width=100></e-column>
        <e-column field='ShipCity' headerText='Ship City' width=100></e-column>
        <e-column field='ShipName' headerText='Ship Name' width=120></e-column>
      </e-columns>
    </ejs-grid>
  </div>
</template>

<script setup>
import { provide } from "vue";
import { L10n } from '@syncfusion/ej2-base';
import { GridComponent as EjsGrid, ColumnDirective as EColumn, ColumnsDirective as EColumns, Page, Group, Edit, Toolbar } from "@syncfusion/ej2-vue-grids";
import frFRLocalization from './locale.json';
import { data } from './datasource.js';
L10n.load(frFRLocalization);
const pageOptions = { pageSize: 6 };
const editSettings = { allowEditing: true, allowAdding: true, allowDeleting: true };
const toolbar = ['Add', 'Edit', 'Delete', 'Update', 'Cancel', 'Search'];
provide('grid', [Page, Group, Edit, Toolbar]);
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-calendars/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-dropdowns/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-inputs/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-navigations/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-popups/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-splitbuttons/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-vue-grids/styles/material3.css";
</style>
<template>
  <div id="app">
    <ejs-grid :dataSource='data' locale='fr-FR' :allowGrouping='true' :allowPaging='true' :editSettings='editSettings' :toolbar='toolbar' :pageSettings='pageOptions' height='220px'>
      <e-columns>
        <e-column field='OrderID' headerText='Order ID' textAlign='Right' width=90></e-column>
        <e-column field='CustomerID' headerText='Customer ID' width=100></e-column>
        <e-column field='ShipCity' headerText='Ship City' width=100></e-column>
        <e-column field='ShipName' headerText='Ship Name' width=120></e-column>
      </e-columns>
    </ejs-grid>
  </div>
</template>

<script>

import { L10n } from '@syncfusion/ej2-base';
import { GridComponent, ColumnsDirective, ColumnDirective, Page, Group, Edit, Toolbar } from "@syncfusion/ej2-vue-grids";
import frFRLocalization  from './locale.json';
import { data } from './datasource.js';

L10n.load(frFRLocalization);
export default {
name: "App",
components: {
"ejs-grid":GridComponent,
"e-columns":ColumnsDirective,
"e-column":ColumnDirective
},
  data() {
    return {
      data: data,
      pageOptions: { pageSize: 6 },
      editSettings: { allowEditing: true, allowAdding: true, allowDeleting: true },
      toolbar: ['Add', 'Edit', 'Delete', 'Update', 'Cancel', 'Search']
    };
  },
  provide: {
    grid: [Page, Group, Edit, Toolbar]
  }
}
</script>
<style>
  @import "../node_modules/@syncfusion/ej2-base/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-buttons/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-calendars/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-dropdowns/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-inputs/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-navigations/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-popups/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-splitbuttons/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-vue-grids/styles/material3.css";
</style>

Switch the different localization

The Vue Data Grid allows you to switch the localization from one culture to another culture. This will be useful when you want to change the localization based on your requirements.

To switch to a different localization, follow these steps:

Step 1: Import and load the required CLDR (Common Locale Data Repository) data for the desired culture using the loadCldr function.

loadCldr(
    cagregorian,
    currencies,
    numbers,
    timeZoneNames,
    numberingSystems
);

Step 2: To change the default culture and the currency code, you can use the methods setCulture for setting the locale and setCurrencyCode for setting the currency code.

To switch to the French culture and set the currency code as EUR, you can use the setCulture method and the setCurrencyCode method of the Grid on external button click. This is demonstrated below:

<template>
  <div id="app">
    <ejs-button id="frButton" cssClass='e-outline' v-on:click="ChangeFrLocale">Change FR Locale</ejs-button>
    <ejs-button id='enButton' style="margin-left:5px" cssClass='e-outline' v-on:click="ChangeEnLocale">Change EN
      Locale</ejs-button>
    <ejs-grid style="padding: 10px 10px" :allowPaging='true' :dataSource='data' height='220px'>
      <e-columns>
        <e-column field='OrderID' headerText='Order ID' textAlign='Right' width=90></e-column>
        <e-column field='CustomerID' headerText='Customer ID' width=100></e-column>
        <e-column field='Freight' headerText='Freight' format="C2" width=90></e-column>
        <e-column field="ShipCountry" headerText="Ship Country" width="100"></e-column>
      </e-columns>
    </ejs-grid>
  </div>
</template>
<script setup>
import { provide } from "vue"
import { L10n, setCulture, setCurrencyCode, loadCldr } from '@syncfusion/ej2-base';
import { GridComponent as EjsGrid, ColumnDirective as EColumn, ColumnsDirective as EColumns, Page } from '@syncfusion/ej2-vue-grids';
import { ButtonComponent as EjsButton } from "@syncfusion/ej2-vue-buttons";
import { data } from './datasource.js';
import frFRLocalization from './locale.json';
import cagregorian from './ca-gregorian.json';
import currencies from './currencies.json';
import numbers from './numbers.json';
import timeZoneNames from './timeZoneNames.json';
import numberingSystems from './numberingSystems.json'
setCulture('fr-FR'); // Change the Grid culture
setCurrencyCode('EUR');
L10n.load(frFRLocalization);
loadCldr(
  cagregorian,
  currencies,
  numbers,
  timeZoneNames,
  numberingSystems
);
const ChangeFrLocale = function () {
  setCulture('fr-FR'); // Change the Grid culture to French locale
  setCurrencyCode('EUR'); // Change the currency code based on French culture
}

const ChangeEnLocale = function () {
  setCulture('en-US'); // Change the Grid culture to English locale
  setCurrencyCode('USD'); // Change the currency code based on American English culture
}
provide('grid', [Page]);
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-calendars/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-dropdowns/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-inputs/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-navigations/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-popups/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-splitbuttons/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-vue-grids/styles/material3.css";
</style>
<template>
  <div id="app">
    <ejs-button id="frButton" cssClass='e-outline' v-on:click="ChangeFrLocale">Change FR Locale</ejs-button>
    <ejs-button id='enButton' style="margin-left:5px"  cssClass='e-outline' v-on:click="ChangeEnLocale">Change EN Locale</ejs-button>
    <ejs-grid style="padding: 10px 10px" :allowPaging='true' :dataSource='data' height='220px'>
      <e-columns>
        <e-column field='OrderID' headerText='Order ID' textAlign='Right' width=90></e-column>
        <e-column field='CustomerID' headerText='Customer ID' width=100></e-column>
        <e-column field='Freight' headerText='Freight' format="C2"  width=90></e-column>
        <e-column field="ShipCountry" headerText="Ship Country" width="100"></e-column>
      </e-columns>
    </ejs-grid>
  </div>
</template>

<script>
import { L10n, setCulture, setCurrencyCode, loadCldr } from '@syncfusion/ej2-base';
import { GridComponent, ColumnsDirective, ColumnDirective, Page } from '@syncfusion/ej2-vue-grids';
import { ButtonComponent } from "@syncfusion/ej2-vue-buttons";
import { data } from './datasource.js';
import frFRLocalization from './locale.json';
import cagregorian from './ca-gregorian.json';
import currencies from './currencies.json';
import numbers from './numbers.json';
import timeZoneNames from './timeZoneNames.json';
import numberingSystems from './numberingSystems.json'
setCulture('fr-FR'); // Change the Grid culture
setCurrencyCode('EUR');
L10n.load(frFRLocalization);
loadCldr(
  cagregorian,
  currencies,
  numbers,
  timeZoneNames,
  numberingSystems
);
export default {
name: "App",
components: {
"ejs-button":ButtonComponent,
"ejs-grid":GridComponent,
"e-columns":ColumnsDirective,
"e-column":ColumnDirective
},
  data() {
    return {
      data: data,
    };
  },
  methods: {
    ChangeFrLocale: function () {
      setCulture('fr-FR'); // Change the Grid culture to French locale
      setCurrencyCode('EUR'); // Change the currency code based on French culture
    },

    ChangeEnLocale: function () {
      setCulture('en-US'); // Change the Grid culture to English locale
      setCurrencyCode('USD'); // Change the currency code based on American English culture
    }
  },
  provide: {
    grid: [Page]
  }
}
</script>
<style>
  @import "../node_modules/@syncfusion/ej2-base/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-buttons/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-calendars/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-dropdowns/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-inputs/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-navigations/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-popups/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-splitbuttons/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-vue-grids/styles/material3.css";
</style>

Internationalization

The Internationalization library in the Vue Data Grid provides a localized display of number, date, and time values in the Grid component based on the preferred language and region.

Internationalization library allows you to globalize number, date, and time values using format strings defined in the columns.format property.

You need to load the culture format files corresponding to the desired locale. This ensures that the Grid component uses the correct format strings for number, date, and time values based on the selected culture. This can be demonstrated in the below example,

<template>
  <div id="app">
    <ejs-grid :dataSource='data' :allowGrouping='true' :allowPaging='true' height='315px'>
      <e-columns>
        <e-column field='OrderID' headerText='Order ID' textAlign='Right' width=90></e-column>
        <e-column field='CustomerID' headerText='Customer ID' width=100></e-column>
        <e-column field='Freight' headerText='Freight' :format='formatOptions' textAlign='Right' width=80></e-column>
        <e-column field='ShipName' headerText='Ship Name' width=120></e-column>
      </e-columns>
    </ejs-grid>
  </div>
</template>
<script setup>
import { provide } from "vue";
import { L10n, loadCldr, setCulture, setCurrencyCode } from '@syncfusion/ej2-base';
import cagregorian from './ca-gregorian.json';
import currencies from './currencies.json';
import numbers from './numbers.json';
import timeZoneNames from './timeZoneNames.json';
import numberingSystems from './numberingSystems.json'
import deDELocalization from './locale.json'
import { GridComponent as EjsGrid, ColumnDirective as EColumn, ColumnsDirective as EColumns, Page, Group } from "@syncfusion/ej2-vue-grids";
import { data } from './datasource.js';
setCulture('de-DE');
setCurrencyCode('EUR');
L10n.load(deDELocalization);
loadCldr(
  cagregorian,
  currencies,
  numbers,
  timeZoneNames,
  numberingSystems
);
const formatOptions = { format: 'C2', useGrouping: false, minimumSignificantDigits: 1, maximumSignificantDigits: 3 };
provide('grid', [Page, Group]);
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-calendars/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-dropdowns/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-inputs/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-navigations/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-popups/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-splitbuttons/styles/material3.css";
@import "../node_modules/@syncfusion/ej2-vue-grids/styles/material3.css";
</style>
<template>
    <div id="app">
        <ejs-grid :dataSource='data' :allowGrouping='true' :allowPaging='true' height='315px'>
            <e-columns>
                <e-column field='OrderID' headerText='Order ID' textAlign='Right' width=90></e-column>
                <e-column field='CustomerID' headerText='Customer ID' width=100></e-column>
                <e-column field='Freight' headerText='Freight' :format='formatOptions' textAlign='Right' width=80></e-column>
                <e-column field='ShipName' headerText='Ship Name' width=120></e-column>
            </e-columns>
        </ejs-grid>
    </div>
</template>
<script>

import { L10n, loadCldr, setCulture, setCurrencyCode } from '@syncfusion/ej2-base';
import cagregorian from './ca-gregorian.json';
import currencies from './currencies.json';
import numbers from './numbers.json';
import timeZoneNames from './timeZoneNames.json';
import numberingSystems from './numberingSystems.json'
import deDELocalization from './locale.json'
import { GridComponent, ColumnsDirective, ColumnDirective, Page, Group } from "@syncfusion/ej2-vue-grids";
import { data } from './datasource.js';

setCulture('de-DE');
setCurrencyCode('EUR');
L10n.load(deDELocalization);
loadCldr(
    cagregorian,
    currencies,
    numbers,
    timeZoneNames,
    numberingSystems
);
export default {
name: "App",
components: {
"ejs-grid":GridComponent,
"e-columns":ColumnsDirective,
"e-column":ColumnDirective
},
  data() {
    return {
      data: data,
      formatOptions: { format:'C2' , useGrouping: false, minimumSignificantDigits:1, maximumSignificantDigits:3 },
    };
  },
  provide: {
    grid: [Page, Group]
  }
}
</script>
<style>
  @import "../node_modules/@syncfusion/ej2-base/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-buttons/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-calendars/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-dropdowns/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-inputs/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-navigations/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-popups/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-splitbuttons/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-vue-grids/styles/material3.css";
</style>

  • In the above sample, Freight column is formatted using the NumberFormatOptions.
  • By default, locale value is en-US. If you wish to change the culture to something other than en-US, you can simply set the locale property accordingly.

Right to Left - RTL

The Right to Left (RTL) feature in the Vue Data Grid allows you to switch the text direction and layout from left-to-right to right-to-left. This feature is especially beneficial for interacting with the grid in languages that are written and read from right to left, such as Arabic, Farsi, Urdu, and others. Enabling RTL significantly improves the experience and accessibility for such languages.

To enable RTL in the Grid, you need to set the enableRtl property to true. By setting enableRtl, the grid component’s text direction and layout will be adjusted to support right-to-left languages.

In the following example, the EJ2 Toggle Switch Button component is added to enable or disable the Right to Left (RTL) feature for the Arabic (ar-AE) locale. When the switch is toggled, the change event is triggered and the enableRtl property of the grid is updated accordingly.

<template>
  <div id="app">
    <div>
      <label style="padding: 10px 10px">
        Enable or disable HTML Encode
      </label>
      <ejs-switch id="switch" :change="onSwitchChange"></ejs-switch>
    </div>
    <ejs-grid ref='grid' style="padding: 10px 10px" :dataSource='data' :enableRtl='true' locale='ar-AE' 
    :allowGrouping='true' :allowPaging='true' :editSettings='editSettings' :allowFiltering='true' :allowSorting='true' :showColumnChooser='true' :showColumnMenu='true' :toolbar='toolbar' :pageSettings='pageOptions'>
      <e-columns>
        <e-column field='OrderID' headerText='Order ID' textAlign='Right' isPrimaryKey='true' width=90></e-column>
        <e-column field='CustomerID' headerText='Customer ID' width=100></e-column>
        <e-column field='ShipCity' headerText='Ship City' width=100></e-column>
        <e-column field='ShipName' headerText='Ship Name' width=120></e-column>
      </e-columns>
    </ejs-grid>
  </div>
</template>
<script setup>
import { provide, ref } from "vue";
import { L10n, setCulture } from '@syncfusion/ej2-base';
import { GridComponent as EjsGrid, ColumnDirective as EColumn, ColumnsDirective as EColumns, Page, Group, Edit, Toolbar, Sort, Reorder, ColumnMenu, ColumnChooser } from "@syncfusion/ej2-vue-grids";
import { SwitchComponent as EjsSwitch } from "@syncfusion/ej2-vue-buttons";
import { data } from './datasource.js';
import arAELocalization from './locale.json';
const grid = ref(null);
L10n.load(arAELocalization);
setCulture('ar-AE');
      const pageOptions = { pageSize: 7 };
      const editSettings = { allowEditing: true, allowAdding: true, allowDeleting: true };
      const toolbar = ['Add', 'Edit', 'Delete', 'Update', 'Cancel', 'ColumnChooser'];
      const onSwitchChange = function(args) {
      if(args.checked){
        grid.value.ej2Instances.enableRtl = false;
      }
      else{
        grid.value.ej2Instances.enableRtl = true;
      }
    }
  provide('grid',  [Page, Group, Edit, Toolbar, Sort, Reorder, ColumnMenu, ColumnChooser]);
</script>
<style>
  @import "../node_modules/@syncfusion/ej2-base/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-buttons/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-calendars/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-dropdowns/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-inputs/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-navigations/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-popups/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-splitbuttons/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-vue-grids/styles/material3.css";
</style>
<template>
  <div id="app">
    <div>
      <label style="padding: 10px 10px">
        Enable or disable HTML Encode
      </label>
      <ejs-switch id="switch" :change="onSwitchChange"></ejs-switch>
    </div>
    <ejs-grid ref='grid' style="padding: 10px 10px" :dataSource='data' :enableRtl='true' locale='ar-AE' 
    :allowGrouping='true' :allowPaging='true' :editSettings='editSettings' :allowFiltering='true' :allowSorting='true' :showColumnChooser='true' :showColumnMenu='true' :toolbar='toolbar' :pageSettings='pageOptions'>
      <e-columns>
        <e-column field='OrderID' headerText='Order ID' textAlign='Right' isPrimaryKey='true' width=90></e-column>
        <e-column field='CustomerID' headerText='Customer ID' width=100></e-column>
        <e-column field='ShipCity' headerText='Ship City' width=100></e-column>
        <e-column field='ShipName' headerText='Ship Name' width=120></e-column>
      </e-columns>
    </ejs-grid>
  </div>
</template>
<script>

import { L10n, setCulture } from '@syncfusion/ej2-base';
import { GridComponent, ColumnsDirective, ColumnDirective, Page, Group, Edit, Toolbar, Sort, Reorder, ColumnMenu, ColumnChooser } from "@syncfusion/ej2-vue-grids";
import { SwitchComponent } from "@syncfusion/ej2-vue-buttons";
import { data } from './datasource.js';
import arAELocalization from './locale.json';

L10n.load(arAELocalization);
setCulture('ar-AE');
export default {
name: "App",
components: {
"ejs-switch":SwitchComponent,
"ejs-grid":GridComponent,
"e-columns":ColumnsDirective,
"e-column":ColumnDirective
},
  data() {
    return {
      data: data,
      pageOptions: { pageSize: 7 },
      editSettings: { allowEditing: true, allowAdding: true, allowDeleting: true },
      toolbar: ['Add', 'Edit', 'Delete', 'Update', 'Cancel', 'ColumnChooser']
    };
  },
  methods: {
    onSwitchChange: function(args) {
      if(args.checked){
        this.$refs.grid.ej2Instances.enableRtl = false;
      }
      else{
        this.$refs.grid.ej2Instances.enableRtl = true;
      }
    }
  },
  provide: {
    grid: [Page, Group, Edit, Toolbar, Sort, Reorder, ColumnMenu, ColumnChooser]
  }
}
</script>
<style>
  @import "../node_modules/@syncfusion/ej2-base/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-buttons/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-calendars/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-dropdowns/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-inputs/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-navigations/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-popups/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-splitbuttons/styles/material3.css";
  @import "../node_modules/@syncfusion/ej2-vue-grids/styles/material3.css";
</style>

See Also